
	% function that computes the triple integrals for a BCC system

function [res3] = bccIntegration(t,t_prime,energy, u, v, w,varyPx,varyPy,varyPz,abstolloc)
  
  if (varyPx == 0 || varyPx == 2.0.*pi || varyPy == 0 || varyPy == 2.0.*pi || varyPz == 0 || varyPz == 2.0.*pi ) || (energy == (-16.*t-12.*t_prime))
    energy = energy - 0.00000000000003;
  end 
  
  varyPxOv4 = varyPx./4.0;
  varyPyOv4 = varyPy./4.0;
  varyPzOv4 = varyPz./4.0;
  
  varyPxOv2 = varyPx./2.0;
  varyPyOv2 = varyPy./2.0;
  varyPzOv2 = varyPz./2.0;
  
  twotprime = 2.0.*t_prime;
  fourtprime = 4.0.*t_prime;
  eightt = 8.0.*t;
  
  cosVaryPxOv2 = cos(varyPxOv2);
  cosVaryPyOv2 = cos(varyPyOv2);
  cosVaryPzOv2 = cos(varyPzOv2);
  
  absenergy = abs(energy);
  
  funcc3 = @(x,y,z) ( cos((u.*x)+(v.*y)+(w.*z))   )./ ...
           (absenergy-eightt.*(cos(x+varyPxOv4).*cos(y+varyPyOv4).*cos(z+varyPzOv4) ...
			       +cos(varyPxOv4-x).*cos(varyPyOv4-y).*cos(varyPzOv4-z)) ...
            -fourtprime.*(cos(2.0.*x).*cosVaryPxOv2 + cos(2.0.*y).*cosVaryPyOv2 + cos(2.0.*z).*cosVaryPzOv2) ...
           );
  
% res3 = integral3(funcc3, -1.0*pi, 1.0*pi, -1.0*pi, 1.0*pi, -1.0*pi,1.0*pi)/((2.0*pi)^3); %,'AbsTol',0,'RelTol',1e-10
  
  res3 = integral3(funcc3, -1.0.*pi, 1.0.*pi, -1.0.*pi, 1.0.*pi, -1.0.*pi,1.0.*pi,'AbsTol',abs(abstolloc.*1e-10),'RelTol',1e-10);
  res3 = res3./((2.0.*pi).^3);
  
end

% ORIGINAL
%  funcc3 = @(x,y,z) ( cos((u*x)+(v*y)+(w*z))   )./ ...
%           (abs(energy)-8.0*t*(cos(x+(varyPx/4.0)).*cos(y+(varyPy/4.0)).*cos(z+(varyPz/4.0))) ...
%            -2*t_prime*( cos((2*x)+ (varyPx/2.0) ) + cos((2*y)+(varyPy/2.0)) + cos((2*z)+(varyPz/2.0)) ) ...
%            -8.0*t*(cos(((varyPx)/4.0)-x).*cos(((varyPy)/4.0)-y).*cos(((varyPz)/4.0)-z)) ...
%            -2*t_prime*( cos((varyPx/2.0)-(2*x)) + cos((varyPy/2.0)-(2*y)) + cos((varyPz/2.0)-(2*z)) )...
%           );

				% FIRST EDIT
%  funcc3 = @(x,y,z) ( cos((u*x)+(v*y)+(w*z))   )./ ...
%           (absenergy-eightt*(cos(x+varyPxOv4).*cos(y+varyPyOv4).*cos(z+varyPzOv4)) ...
%            -twotprime*( cos((2*x)+ varyPxOv2 ) + cos((2*y)+varyPyOv2) + cos((2*z)+varyPzOv2) ) ...
%            -eightt*(cos(varyPxOv4-x).*cos(varyPyOv4-y).*cos(varyPzOv4-z)) ...
%            -twotprime*( cos(varyPxOv2-(2*x)) + cos(varyPyOv2-(2*y)) + cos(varyPzOv2-(2*z)) )...
%           );

% SECOND EDIT
%  funcc3 = @(x,y,z) ( cos((u*x)+(v*y)+(w*z))   )./ ...
%           (absenergy-eightt*(cos(x+varyPxOv4).*cos(y+varyPyOv4).*cos(z+varyPzOv4) ...
%			      +cos(varyPxOv4-x).*cos(varyPyOv4-y).*cos(varyPzOv4-z)) ...
%            -twotprime*( cos((2*x)+ varyPxOv2 ) + cos((2*y)+varyPyOv2) + cos((2*z)+varyPzOv2) ...
%			 + cos(varyPxOv2-(2*x)) + cos(varyPyOv2-(2*y)) + cos(varyPzOv2-(2*z)) )...
%           );


% cos(A+B) = cos(A)cos(B)-sin(A)sin(B)

% cos(A+B)+cos(A-B) = cos(A)cos(B)-sin(A)sin(B) + cos(A)cos(B)+sin(A)sin(B)
%                   = 2cos(A)cos(B)
