function [radcalc] = calculateRadiusBCC(t,t_prime, u_select, v_select, v_prime,varyPx,varyPy,varyPz,finalEnergyArray,poSN)

  disp('calculating eigenvalues and eigenvectors')
  
  [eigValSave, eigVectorSave] = singletMatrixEigBCC(u_select,v_select,v_prime,t,t_prime,finalEnergyArray,varyPx,varyPy,varyPz)

% singletMatrixEigBCC returns already sorted values, so no need to do the following poSN stuff

  %disp('collecting eigenvalues')
  
				% WHY ROUND???
  %eigVectorSort = eigValSave.*10000.0
  %eigVectorSort = round(eigVectorSort);
  %eigVectorSort = eigVectorSort ./ 10000.0
  
  %eigVectorSort = round(eigValSave,4,'significant') %fix(eigValSave)
  % eigVectorSort = eigValSave; - do this instead?
  
  %for ii = 1 : length(eigVectorSort)
  %  if eigVectorSort(ii) >= 1
  %    poSN = ii              
  %  end
  %end
  
  RealEigVec = eigVectorSave(:,poSN)
  
  onSite = RealEigVec(1)
  neighbor1 = RealEigVec(2)
  neighbor2 = RealEigVec(3)
  neighbor3 = RealEigVec(4)
  neighbor4 = RealEigVec(5)
  neighbor5 = RealEigVec(6)
  neighbor6 = RealEigVec(7)
  neighbor7 = RealEigVec(8)
  

  % resolutionalldirections = 513;
  resolutionalldirections = 257;
  
  initialSum = 0;
  bx = linspace(0.*pi,2.*pi,resolutionalldirections);
  by = linspace(0.*pi,2.*pi,resolutionalldirections);
  bz = linspace(0.*pi,2.*pi,resolutionalldirections);
  
  momentumQX = bx; %
  momentumQY = by; %
  momentumQZ = bz; %
  
  
  Nx = length(momentumQX)-1;
  Ny = length(momentumQY)-1;
  Nz = length(momentumQZ)-1;
  
  varOnsite = zeros(Nx,Ny,Nz);
  varNeighbor1 = zeros(Nx,Ny,Nz);
  varNeighbor2 = zeros(Nx,Ny,Nz);
  varNeighbor3 = zeros(Nx,Ny,Nz);
  varNeighbor4 = zeros(Nx,Ny,Nz);
  varNeighbor5 = zeros(Nx,Ny,Nz);
  varNeighbor6 = zeros(Nx,Ny,Nz);
  varNeighbor7 = zeros(Nx,Ny,Nz);

  disp('prepare for fourier transform')

  fourpi = 4.0.*pi;
  sixteent = 16.0.*t;
  fourtprime = 4.0.*t_prime;

  printf("%d to go: ",Nx)
  
  for kk = 1 : Nx

    printf("%d ",kk)

    cosMomentumQXkk = cos(momentumQX(kk));
    cos2MomentumQXkk = cos(2.0.*momentumQX(kk));
    fourpiovnX = fourpi./Nx;
    
    for mm = 1 : Ny

      cosMomentumQYmm = cos(momentumQY(mm));
      cos2MomentumQYmm = cos(2.0.*momentumQY(mm));
      fourpiovnY = fourpi./Ny;
      
      for aa = 1 : Nz

	cosMomentumQZaa = cos(momentumQZ(aa));
	cos2MomentumQZaa = cos(2.0.*momentumQZ(aa));
	fourpiovnZ = fourpi./Nz;
      
	fourpiprod = fourpiovnX.*fourpiovnY.*fourpiovnZ;
	
	cosprod = cosMomentumQXkk.*cosMomentumQYmm.*cosMomentumQZaa;
	
        t_part = sixteent.*cosprod;
        t_prime_part = fourtprime.*(cos2MomentumQXkk + cos2MomentumQYmm + cos2MomentumQZaa);
	en_denominator = finalEnergyArray + t_part + t_prime_part;

        varOnsite(kk,mm,aa) = fourpiprod./en_denominator;
        
	twicefourpiprod_ov_denom = 2.0.*fourpiprod./en_denominator;
	varNeighborNN = twicefourpiprod_ov_denom.*cosprod;
	
        varNeighbor1(kk,mm,aa) = varNeighborNN;
        varNeighbor2(kk,mm,aa) = varNeighborNN;
        varNeighbor3(kk,mm,aa) = varNeighborNN;
        varNeighbor4(kk,mm,aa) = varNeighborNN;          
        varNeighbor5(kk,mm,aa) = twicefourpiprod_ov_denom.*cos2MomentumQXkk;
        varNeighbor6(kk,mm,aa) = twicefourpiprod_ov_denom.*cos2MomentumQYmm;
        varNeighbor7(kk,mm,aa) = twicefourpiprod_ov_denom.*cos2MomentumQZaa;
        
        
      end
    end
  end

  varOnsite = onSite .* varOnsite .* u_select;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor1 = neighbor1 .* varNeighbor1 .* v_select;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor2 = neighbor2 .* varNeighbor2 .* v_select;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor3 = neighbor3 .* varNeighbor3 .* v_select;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor4 = neighbor4 .* varNeighbor4 .* v_select;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor5 = neighbor5 .* varNeighbor5 .* v_prime;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor6 = neighbor6 .* varNeighbor6 .* v_prime;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor7 = neighbor7 .* varNeighbor7 .* v_prime;
  
  
  y = fftn(varOnsite + varNeighbor1 + varNeighbor2 + varNeighbor3 + varNeighbor4 ...
           + varNeighbor5 + varNeighbor6 + varNeighbor7 );

  disp('FFTN complete, make final sum')

  tempUp = 0;
  tempDown = 0;
  for nx = 1:(Nx./2)
    for ny = 1:(Ny./2)
      for nz = 1:(Nz./2)
        facTor = 8;
        if ( (mod(nx,2)== mod(ny,2)) && (mod(nx,2)== mod(nz,2)))
	  %                       || (mod(ny,2)==0 && mod(nz,2)==0 ) )
          if (nx ==1)
            facTor = facTor./2;
          end
          if (ny ==1)
            facTor = facTor./2;
          end
          if (nz ==1)
            facTor = facTor./2;
          end
          nsqr = ((nx-1).^2 + (ny-1).^2 + (nz-1).^2)./4;
          jk = nsqr *abs(y(nx,ny,nz)).^2;
          tempUp =  tempUp + facTor.*jk;
          tempDown = tempDown + facTor.*abs(y(nx,ny,nz)).^2;
        end
      end
    end
  end
  
  radcalc = sqrt( tempUp./tempDown );
  
end

     
