% binary search to find the bound pair energy within the tolerance limit
function res = searchSingletEigenvalueBCC(Emin,Emax,uu,vv,v_prime,t,t_prime,tol,px,py,pz)
  
  search1 = singletMatrixEigBCC(uu,vv,v_prime,t,t_prime,Emin,px,py,pz);       
  search2 = singletMatrixEigBCC(uu,vv,v_prime,t,t_prime,Emax,px,py,pz);        
  
  nEig1 = numOfEigSymBCC(search1);
  nEig2 = numOfEigSymBCC(search2);
  
  res = (Emin + Emax)/2.0;
  %if(abs(Emax - Emin) < tol)
  if(abs(1.0 - Emin/Emax) < tol)
    disp([' '])
    disp([' '])
    disp(['Energy is converged'])
    disp(res)
    disp([' '])
    disp([' '])
    return
  end
  search3 = singletMatrixEigBCC(uu,vv,v_prime,t,t_prime,res,px,py,pz);        
  nEigMid = numOfEigSymBCC(search3);
  
  
  
  if(nEigMid - nEig2 ~= 0)
    disp(['       path 1'])
    disp(['         /'])
    disp(['        v'])
    res = searchSingletEigenvalueBCC(res,Emax,uu,vv,v_prime,t,t_prime,tol,px,py,pz);
  elseif(nEigMid - nEig1 ~= 0)
    disp(['      path 2'])
    disp(['          \'])
    disp(['           v'])
    res = searchSingletEigenvalueBCC(Emin,res,uu,vv,v_prime,t,t_prime,tol,px,py,pz);
  end
  return
  
end

