
%% Load data

% Load s-data t' > 0
load('s_U30_tp_p0p0.mat')
load('s_U30_tp_p0p1.mat')
load('s_U30_tp_p0p2.mat')
load('s_U30_tp_p0p3.mat')
load('s_U30_tp_p0p5.mat')
load('s_U30_tp_p1p0.mat')
V1s_U30_tp_p1p0(148) = [];
Es_U30_tp_p1p0(148) = [];
Ms_U30_tp_p1p0(148) = [];
load('s_U30_tp_p2p0.mat')

% Load s-data t' < 0
load('s_U30_tp_m0p1.mat')
load('s_U30_tp_m0p2.mat')
load('s_U30_tp_m0p3.mat')
load('s_U30_tp_m0p4.mat')

% Load d-data t' > 0
load('d_U30_tp_p0p0.mat')
load('d_U30_tp_p0p1.mat')
load('d_U30_tp_p0p2.mat')
load('d_U30_tp_p0p3.mat')
load('d_U30_tp_p0p5.mat')
load('d_U30_tp_p1p0.mat')
load('d_U30_tp_p2p0.mat')

% Load d-data t' < 0
load('d_U30_tp_m0p1.mat')
load('d_U30_tp_m0p2.mat')
load('d_U30_tp_m0p3.mat')
load('d_U30_tp_m0p4.mat')




%% Build combined data
%  tp = -0.4
V1s_tp_m0p4_plot = V1s_U30_tp_m0p4(1:15);
Ms_tp_m0p4_plot  = Ms_U30_tp_m0p4(1:15);
V1d_tp_m0p4_plot = V1d_U30_tp_m0p4(5:end);
Md_tp_m0p4_plot  = Md_U30_tp_m0p4(5:end);
V1aux_tp_m0p4_plot = [ V1s_tp_m0p4_plot(end) V1d_tp_m0p4_plot(1) ];
Maux_tp_m0p4_plot  = [  Ms_tp_m0p4_plot(end)  Md_tp_m0p4_plot(1) ];
%  tp = -0.4
V1s_tp_m0p3_plot = V1s_U30_tp_m0p3(1:42);
Ms_tp_m0p3_plot  = Ms_U30_tp_m0p3(1:42);
V1d_tp_m0p3_plot = V1d_U30_tp_m0p3(20:end);
Md_tp_m0p3_plot  = Md_U30_tp_m0p3(20:end);
V1aux_tp_m0p3_plot = [ V1s_tp_m0p3_plot(end) V1d_tp_m0p3_plot(1) ];
Maux_tp_m0p3_plot  = [  Ms_tp_m0p3_plot(end)  Md_tp_m0p3_plot(1) ];



%% Plot another version
W0 = 8;
figure(105)
cla
hold on
% t' = -0.4
plot(-V1s_tp_m0p4_plot./W0,Ms_tp_m0p4_plot,'-k','LineWidth',2)
plot(-V1d_tp_m0p4_plot./W0,Md_tp_m0p4_plot,'--k','LineWidth',2)
plot(-V1aux_tp_m0p4_plot./W0,Maux_tp_m0p4_plot,':k','LineWidth',1)
% t' = -0.3
plot(-V1s_tp_m0p3_plot./W0,Ms_tp_m0p3_plot,'-k','LineWidth',2)
plot(-V1d_tp_m0p3_plot./W0,Md_tp_m0p3_plot,'--k','LineWidth',2)
plot(-V1aux_tp_m0p3_plot./W0,Maux_tp_m0p3_plot,':k','LineWidth',1)
% t' > 0
plot(-V1s_U30_tp_p0p0./W0,Ms_U30_tp_p0p0,'-r','LineWidth',2)
plot(-V1s_U30_tp_p0p2./W0,Ms_U30_tp_p0p2,'-b','LineWidth',2)
plot(-V1s_U30_tp_p1p0./W0,Ms_U30_tp_p1p0,'-m','LineWidth',2)
%
hold off
grid on 
box on
axis([-5 0 0 10])
%
text(-4.8,9.0,'$t^{\prime} = 0.0 t$','FontSize',14,'Interpreter','latex')
text(-4.8,7.4,'$t^{\prime} = 0.2 t$','FontSize',14,'Interpreter','latex')
text(-4.8,4.9,'$t^{\prime} = 1.0 t$','FontSize',14,'Interpreter','latex')
text(-4.8,2.9,'$t^{\prime} = -0.3 t$','FontSize',14,'Interpreter','latex')
text(-4.8,1.4,'$t^{\prime} = -0.4 t$','FontSize',14,'Interpreter','latex')
%
set(gca,'FontSize',14)
set(gca,'FontName','Times New Roman')
xlabel('$V/W_0$','FontSize',14,'Interpreter','latex')
ylabel('$m^{\ast}/m_0$','FontSize',16,'Interpreter','latex')
%title(['Pair mass. U = 30t'])


%% Plot another version
W0 = 8;
figure(135)
cla
hold on
% t' = -0.4
plot(-V1s_tp_m0p4_plot./W0,Ms_tp_m0p4_plot,'-k','LineWidth',2)
plot(-V1d_tp_m0p4_plot./W0,Md_tp_m0p4_plot,'--k','LineWidth',2)
plot(-V1aux_tp_m0p4_plot./W0,Maux_tp_m0p4_plot,':k','LineWidth',1)
% t' = -0.3
plot(-V1s_tp_m0p3_plot./W0,Ms_tp_m0p3_plot,'-k','LineWidth',2)
plot(-V1d_tp_m0p3_plot./W0,Md_tp_m0p3_plot,'--k','LineWidth',2)
plot(-V1aux_tp_m0p3_plot./W0,Maux_tp_m0p3_plot,':k','LineWidth',1)
% t' > 0
plot(-V1s_U30_tp_p0p0./W0,Ms_U30_tp_p0p0,'-r','LineWidth',2)
plot(-V1s_U30_tp_p0p2./W0,Ms_U30_tp_p0p2,'-b','LineWidth',1)
plot(-V1s_U30_tp_p1p0./W0,Ms_U30_tp_p1p0,'-m','LineWidth',1)
%
hold off
grid on 
box on
axis([-5 0 0 10])
%
text(-4.8,9.0,'$t^{\prime} = 0.0 t$','FontSize',14,'Interpreter','latex')
text(-4.8,7.4,'$t^{\prime} = 0.2 t$','FontSize',14,'Interpreter','latex')
text(-4.8,4.9,'$t^{\prime} = 1.0 t$','FontSize',14,'Interpreter','latex')
text(-4.8,2.9,'$t^{\prime} = -0.3 t$','FontSize',14,'Interpreter','latex')
text(-4.8,1.4,'$t^{\prime} = -0.4 t$','FontSize',14,'Interpreter','latex')
%
set(gca,'FontSize',14)
set(gca,'FontName','Times New Roman')
xlabel('$V/W_0$','FontSize',14,'Interpreter','latex')
ylabel('$m^{\ast}/m_0$','FontSize',16,'Interpreter','latex')
%title(['Pair mass. U = 30t'])


