#!/usr/bin/gnuplot -persist
#
#    
#    	G N U P L O T
#    	Version 5.4 patchlevel 9    last modified 2023-09-04
#    
#    	Copyright (C) 1986-1993, 1998, 2004, 2007-2023
#    	Thomas Williams, Colin Kelley and many others
#    
#    	gnuplot home:     http://www.gnuplot.info
#    	faq, bugs, etc:   type "help FAQ"
#    	immediate help:   type "help"  (plot window: hit 'h')
# set terminal x11 
# set output
unset clip points
set clip one
unset clip two
unset clip radial
set errorbars front 1.000000 
set border 31 front lt black linewidth 1.000 dashtype solid
set zdata 
set ydata 
set xdata 
set y2data 
set x2data 
set boxwidth
set boxdepth 0
set style fill  empty border
set style rectangle back fc  bgnd fillstyle   solid 1.00 border lt -1
set style circle radius graph 0.02 
set style ellipse size graph 0.05, 0.03 angle 0 units xy
set dummy x, y
set format x "% h" 
set format y "% h" 
set format x2 "% h" 
set format y2 "% h" 
set format z "% h" 
set format cb "% h" 
set format r "% h" 
set ttics format "% h"
set timefmt "%d/%m/%y,%H:%M"
set angles radians
set tics back
set grid
unset raxis
set theta counterclockwise right
set style parallel front  lt black linewidth 2.000 dashtype solid
set key notitle
set key fixed right top vertical Right noreverse enhanced autotitle nobox
set key noinvert samplen 4 spacing 1 width 0 height 0
set key maxcolumns 0 maxrows 0
set key noopaque
unset label
unset arrow
unset style line
unset style arrow
set style histogram clustered gap 2 title textcolor lt -1
unset object
unset walls
set style textbox  transparent margins  1.0,  1.0 border  lt -1 linewidth  1.0
set offsets 0, 0, 0, 0
set pointsize 0.25
set pointintervalbox 1
set encoding default
#set encoding utf8
unset polar
unset parametric
unset spiderplot
unset decimalsign
unset micro
unset minussign
set view 60, 30, 1, 1
set view azimuth 0
set rgbmax 255
set samples 100, 100
set isosamples 10, 10
set surface implicit
set surface
unset contour
set cntrlabel  format '%8.3g' font '' start 5 interval 20
set mapping cartesian
set datafile separator whitespace
set datafile nocolumnheaders
unset hidden3d
set cntrparam order 4
set cntrparam linear
set cntrparam levels 5
set cntrparam levels auto
set cntrparam firstlinetype 0 unsorted
set cntrparam points 5
set size ratio 0 1,1
set origin 0,0
set style data points
set style function lines
unset xzeroaxis
unset yzeroaxis
unset zzeroaxis
unset x2zeroaxis
unset y2zeroaxis
set xyplane relative 0.5
set tics scale  1, 0.5, 1, 1, 1
set mxtics default
set mytics default
set mztics default
set mx2tics default
set my2tics default
set mcbtics default
set mrtics default
set nomttics
set xtics border in scale 1,0.5 mirror norotate  autojustify
set xtics  norangelimit autofreq 
set ytics border in scale 1,0.5 mirror norotate  autojustify
set ytics  norangelimit autofreq 
set ztics border in scale 1,0.5 nomirror norotate  autojustify
set ztics  norangelimit autofreq 
unset x2tics
unset y2tics
set cbtics border in scale 1,0.5 mirror norotate  autojustify
set cbtics  norangelimit autofreq 
set rtics axis in scale 1,0.5 nomirror norotate  autojustify
set rtics  norangelimit autofreq 
unset ttics
set title "" 
set title  font "" textcolor lt -1 norotate
set timestamp bottom 
set timestamp "" 
set timestamp  font "" textcolor lt -1 norotate
set trange [ * : * ] noreverse nowriteback
set urange [ * : * ] noreverse nowriteback
set vrange [ * : * ] noreverse nowriteback
set xlabel "" 
set xlabel  font "" textcolor lt -1 norotate
set x2label "" 
set x2label  font "" textcolor lt -1 norotate
set xrange [ -6 : 0 ] noreverse writeback
set x2range [ * : * ] noreverse writeback
set ylabel "" 
set ylabel  font "" textcolor lt -1 rotate
set y2label "" 
set y2label  font "" textcolor lt -1 rotate
set yrange [ * : * ] noreverse writeback
set y2range [ * : * ] noreverse writeback
set zlabel "" 
set zlabel  font "" textcolor lt -1 norotate
set zrange [ * : * ] noreverse writeback
set cblabel "" 
set cblabel  font "" textcolor lt -1 rotate
set cbrange [ * : * ] noreverse writeback
set rlabel "" 
set rlabel  font "" textcolor lt -1 norotate
set rrange [ * : * ] noreverse writeback
unset logscale
unset jitter
set zero 1e-08
set lmargin  -1
set bmargin  -1
set rmargin  -1
set tmargin  -1
set locale "en_GB.UTF-8"
set pm3d explicit at s
set pm3d scansautomatic
set pm3d interpolate 1,1 flush begin noftriangles noborder corners2color mean
set pm3d clip z 
set pm3d nolighting
set palette positive nops_allcF maxcolors 0 gamma 1.5 color model RGB 
set palette rgbformulae 7, 5, 15
set colorbox default
set colorbox vertical origin screen 0.9, 0.2 size screen 0.05, 0.6 front  noinvert bdefault
set style boxplot candles range  1.50 outliers pt 7 separation 1 labels auto unsorted
set loadpath 
set fontpath
set psdir
set fit brief errorvariables nocovariancevariables errorscaling prescale nowrap v5
GNUTERM = "x11"
I = {0.0, 1.0}
VoxelDistance = 0.0
set term pdf enhanced font "Times-New-Roman,18"

w0sc = 12
w0bcc = 16
w0square = 8
w0chain = 4

set xlabel 'V/W_{0}' font "Times-New-Roman-Italic"
set ylabel 'm^{*}/m_{0}' font "Times-New-Roman-Italic"

pt00 = 5
pt10 = 7
pt01 = 8
pt11 = 10

set yrange[0:14]

tbecstar(x,y,z) = (x>0?6.62*y/x/(z**(2.0/3.0)):0)

tbecstartet(x,xx,y,z) = (x>0?6.62*((y**(2.0/3.0))/((x**(2.0/3.0))*(xx**(1.0/3.0)))/(z**(2.0/3.0))):0)
pairvolume(x,xx,y) = (y*xx+1.0)*((y*x+1.0)**2)

tailfac = 5.0

nbsc = 0.001
nbbcc = 0.00125

set ylabel "k_{B}T_{BEC}/t"  font "Times-New-Roman-Italic"
tbec(x,y,z) = (x>0?6.62*(z**0.66666666666)*y/x:0)


BORDER_L = 0.055
BORDER_R = 0.0
BORDER_B = 0.04
BORDER_T = 0.05

SPACING_X = 0.01
SPACING_Y = 0.01

NUM_ROWS = 3
NUM_COLS = 3

PLT_W = (1 - BORDER_L - BORDER_R - (NUM_COLS-1)*SPACING_X)/NUM_COLS
PLT_H = (1 - BORDER_B - BORDER_T - (NUM_ROWS-1)*SPACING_Y)/NUM_ROWS

tmarfunc(x) = 1-BORDER_T - ((x-1)*(PLT_H))-SPACING_Y
bmarfunc(x) = 1-BORDER_T - ((x)*PLT_H)
lmarfunc(x) = BORDER_L + ((x-1)*PLT_W)+SPACING_X
rmarfunc(x) = BORDER_L + ((x)*PLT_W)

set term pdf size 10in,7in
set output "allplots_combined.pdf"
#set multiplot layout 3,3 margins 0.08,0.98,0.1,0.9 spacing 0.01 
set multiplot

xposlab = 0.1
xposlabr = 0.75
yposlab = 0.9
set key top right
set key outside
set key columns 6
set key horizontal width -11 samplen 2 spacing -0.1 reverse Left keywidth screen 1.0 #  maxrows 1
set key at screen 1.0,0.975
set yrange[0:15]
set ytics 0,3,15
set ylabel 'm^{*}/m_{0}' font "Times-New-Roman-Italic" offset 0.75,0
set xtics ("" -6,"" -5,"" -4,"" -3,"" -2,"" -1,"" 0)
set xlabel ""
set label 1 "(a) tet, ∥" at graph xposlab,yposlab font "Times-New-Roman,20"

set tmargin at screen tmarfunc(1)
set bmargin at screen bmarfunc(1)
set lmargin at screen lmarfunc(1)
set rmargin at screen rmarfunc(1)

plot "alldata_sort_grep_tetragonal.dat" using ($2/w0square):($5==0?($3/$2==0?$6:1/0):1/0) title "t'/t=0, V'/V=0" with linespoints pt pt00, "alldata_sort_grep_tetragonal.dat" using ($2/w0square):($5==1.0?($3/$2==0?$6:1/0):1/0) title "t'/t=1, V'/V=0" with linespoints pt 7, "alldata_sort_grep_tetragonal.dat" using ($2/w0square):($5==0?($3/$2==1?$6:1/0):1/0) title "t'/t=0, V'/V=1" with linespoints pt 8, "alldata_sort_grep_tetragonal.dat" using ($2/w0square):($5==1.0?($3/$2==1?$6:1/0):1/0) title "t'/t=1, V'/V=1" with linespoints pt 10, "alldata_sort_grep_tetragonal_neghop_allvals.dat" using ($2/w0square):($5==-0.45?($3/$2==0?$6:1/0):1/0) title "t'/t=-0.45, V'/V=0        " with linespoints pt 8, "alldata_sort_grep_tetragonal_neghop_allvals.dat" using ($2/w0square):($5==-0.45?($3/$2==1?$6:1/0):1/0) title "t'/t=-0.45, V'/V=1" with linespoints pt 10

unset key
unset ylabel
set ytics ("" 0,"" 3,"" 6,"" 9,"" 12,"" 15)
unset ylabel

set label 1 "(b) SC" at graph xposlabr,yposlab font "Times-New-Roman,20"

set tmargin at screen tmarfunc(1)
set bmargin at screen bmarfunc(1)
set lmargin at screen lmarfunc(2)
set rmargin at screen rmarfunc(2)

plot "alldata_sort_grep_sc.dat" using ($2/w0sc):($5==0?($3/$2==0?$6:1/0):1/0) title "t'/t=0, V'/V=0" with linespoints pt 5, "alldata_sort_grep_sc.dat" using ($2/w0sc):($5==1?($3/$2==0?$6:1/0):1/0) title "t'/t=1, V'/V=0" with linespoints pt 7, "alldata_sort_grep_sc.dat" using ($2/w0sc):($5==0?($3/$2==1?$6:1/0):1/0) title "t'/t=0, V'/V=1" with linespoints pt 8, "alldata_sort_grep_sc.dat" using ($2/w0sc):($5==1?($3/$2==1?$6:1/0):1/0) title "t'/t=1, V'/V=1" with linespoints pt 10

set label 1 "(c) BCC" at graph xposlabr,yposlab font "Times-New-Roman,20"

set tmargin at screen tmarfunc(1)
set bmargin at screen bmarfunc(1)
set lmargin at screen lmarfunc(3)
set rmargin at screen rmarfunc(3)

plot "alldata_sort_grep_bcc.dat" using ($2/w0bcc):($5==0?($3/$2==0?$6:1/0):1/0) title "t'/t=0, V'/V=0" with linespoints pt pt00, "alldata_sort_grep_bcc.dat" using ($2/w0bcc):($5==1?($3/$2==0?$6:1/0):1/0) title "t'/t=1, V'/V=0" with linespoints pt pt10, "alldata_sort_grep_bcc.dat" using ($2/w0bcc):($5==0?($3/$2==1?$6:1/0):1/0) title "t'/t=0, V'/V=1" with linespoints pt pt01, "alldata_sort_grep_bcc.dat" using ($2/w0bcc):($5==1?($3/$2==1?$6:1/0):1/0) title "t'/t=1, V'/V=1" with linespoints pt pt11


set yrange[0:1.2]

yposlab = 0.9
w0tetragonal = w0square

set yrange[0:1.2]
set ytics 0.0,0.2,1 format "%.1f"
set ylabel "d_{{/Times-New-Roman NN}} / R"  font "Times-New-Roman-Italic" offset 0.75,0
set label 1 "(d) tet, ∥" at graph xposlabr,yposlab font "Times-New-Roman,20"

set tmargin at screen tmarfunc(2)
set bmargin at screen bmarfunc(2)
set lmargin at screen lmarfunc(1)
set rmargin at screen rmarfunc(1)

plot "alldata_sort_grep_tetragonal.dat" using ($2/w0tetragonal):($5==0?($3/$2==0?1.0/sqrt($12*$12+$13*$13):1/0):1/0) title "t'/t=0, V'/V=0" with linespoints pt pt00, "alldata_sort_grep_tetragonal.dat" using ($2/w0tetragonal):($5==1.0?($3/$2==0?1.0/sqrt($12*$12+$13*$13):1/0):1/0) title "t'/t=1, V'/V=0" with linespoints pt 7, "alldata_sort_grep_tetragonal.dat" using ($2/w0tetragonal):($5==0?($3/$2==1?1.0/sqrt($12*$12+$13*$13):1/0):1/0) title "t'/t=0, V'/V=1" with linespoints pt 8, "alldata_sort_grep_tetragonal.dat" using ($2/w0tetragonal):($5==1.0?($3/$2==1?1.0/sqrt($12*$12+$13*$13):1/0):1/0) title "t'/t=1, V'/V=1" with linespoints pt 10,  "alldata_sort_grep_tetragonal_neghop_allvals.dat" using ($2/w0tetragonal):($5==-0.45?($3/$2==0?1.0/sqrt($12*$12+$13*$13):1/0):1/0) title "t'/t=-0.45, V'/V=0" with linespoints pt 8, "alldata_sort_grep_tetragonal_neghop_allvals.dat" using ($2/w0tetragonal):($5==-0.45?($3/$2==1?1.0/sqrt($12*$12+$13*$13):1/0):1/0) title "t'/t=-0.45, V'/V=1" with linespoints pt 10

unset ylabel
set ytics ("" 0,"" 0.2,"" 0.4,"" 0.6,"" 0.8,"" 1.0,"" 1.2)
set label 1 "(e) SC" at graph xposlabr,yposlab font "Times-New-Roman,20"

set tmargin at screen tmarfunc(2)
set bmargin at screen bmarfunc(2)
set lmargin at screen lmarfunc(2)
set rmargin at screen rmarfunc(2)

plot "alldata_sort_grep_sc.dat" using ($2/w0sc):($5==0?($3/$2==0?1.0/$10:1/0):1/0) title "t'/t=0, V'/V=0" with linespoints pt 5, "alldata_sort_grep_sc.dat" using ($2/w0sc):($5==1?($3/$2==0?1.0/$10:1/0):1/0) title "t'/t=1, V'/V=0" with linespoints pt 7, "alldata_sort_grep_sc.dat" using ($2/w0sc):($5==0?($3/$2==1?1.0/$10:1/0):1/0) title "t'/t=0, V'/V=1" with linespoints pt 8, "alldata_sort_grep_sc.dat" using ($2/w0sc):($5==1?($3/$2==1?1.0/$10:1/0):1/0) title "t'/t=1, V'/V=1" with linespoints pt 10

set label 1 "(f) BCC" at graph xposlabr,yposlab font "Times-New-Roman,20"
dnn = sqrt(3.0)/2.0

set tmargin at screen tmarfunc(2)
set bmargin at screen bmarfunc(2)
set lmargin at screen lmarfunc(3)
set rmargin at screen rmarfunc(3)

plot "alldata_sort_grep_bcc.dat" using ($2/w0bcc):($5==0?($3/$2==0?dnn/$9:1/0):1/0) title "t'/t=0, V'/V=0" with linespoints pt pt00, "alldata_sort_grep_bcc.dat" using ($2/w0bcc):($5==1?($3/$2==0?dnn/$9:1/0):1/0) title "t'/t=1, V'/V=0" with linespoints pt pt10, "alldata_sort_grep_bcc.dat" using ($2/w0bcc):($5==0?($3/$2==1?dnn/$9:1/0):1/0) title "t'/t=0, V'/V=1" with linespoints pt pt01, "alldata_sort_grep_bcc.dat" using ($2/w0bcc):($5==1?($3/$2==1?dnn/$9:1/0):1/0) title "t'/t=1, V'/V=1" with linespoints pt pt11

# set ylabel "k_{B}T^{*}/~t‾"  font "Times-New-Roman-Italic"

set ylabel "k_{B}T^{*}/ ~t¯"  font "Times-New-Roman-Italic" offset 0.75,0
tbecstar(x,y,z) = (x>0?6.62*y/x/(z**(2.0/3.0)):0)

tbecstartet(x,xx,y,z) = (x>0?6.62*((y**(2.0/3.0))/((x**(2.0/3.0))*(xx**(1.0/3.0)))/(z**(2.0/3.0))):0)
pairvolume(x,xx,y) = (y*xx+1.0)*((y*x+1.0)**2)

tailfac = 5.0

set yrange[0:0.22]
set ytics 0,0.1,0.2 format "%.1f"

yposlab = 0.9
set xlabel 'V/W_{0}' font "Times-New-Roman-Italic" offset 0,1
set xtics -6,1,0 offset 0,0.5
set label 1 "(g) tet." at graph xposlabr,yposlab font "Times-New-Roman,20"

set tmargin at screen tmarfunc(3)
set bmargin at screen bmarfunc(3)
set lmargin at screen lmarfunc(1)
set rmargin at screen rmarfunc(1)

plot "alldata_sort_grep_tetragonal.dat" using ($2/w0square):($5==0?($3/$2==0?tbecstartet($6,$7,(1.0+2.0*$5),pairvolume($12,$14,tailfac)):1/0):1/0) title "t'/t=0, V'/V=0" with linespoints pt 5, "alldata_sort_grep_tetragonal.dat" using ($2/w0square):($5==1?($3/$2==0?tbecstartet($6,$7,(1.0+2.0*$5),pairvolume($12,$14,tailfac)):1/0):1/0) title "t'/t=1, V'/V=0" with linespoints pt 7, "alldata_sort_grep_tetragonal.dat" using ($2/w0square):($5==0?($3/$2==1?tbecstartet($6,$7,(1.0+2.0*$5),pairvolume($12,$14,tailfac)):1/0):1/0) title "t'/t=0, V'/V=1" with linespoints pt 8, "alldata_sort_grep_tetragonal.dat" using ($2/w0square):($5==1?($3/$2==1?tbecstartet($6,$7,(1.0+2.0*$5),pairvolume($12,$14,tailfac)):1/0):1/0) title "t'/t=1, V'/V=1" with linespoints pt 10, "alldata_sort_grep_tetragonal_neghop_allvals.dat" using ($2/w0square):($5==-0.45?($3/$2==0?tbecstartet($6,$7,(1.0+2.0*$5),pairvolume($12,$14,tailfac)):1/0):1/0) title "t'/t=-0.45, V'/V=0" with linespoints pt 8, "alldata_sort_grep_tetragonal_neghop_allvals.dat" using ($2/w0square):($5==-0.45?($3/$2==1?tbecstartet($6,$7,(1.0+2.0*$5),pairvolume($12,$14,tailfac)):1/0):1/0) title "t'/t=-0.45, V'/V=1" with linespoints pt 10

unset ylabel
unset ylabel
set ytics ("" 0,"" 0.1,"" 0.2,"" 0.3)
set xtics -5,1,0
set label 1 "(h) SC" at graph xposlabr,yposlab font "Times-New-Roman,20"

set tmargin at screen tmarfunc(3)
set bmargin at screen bmarfunc(3)
set lmargin at screen lmarfunc(2)
set rmargin at screen rmarfunc(2)

plot "alldata_sort_grep_sc.dat" using ($2/w0sc):($5==0?($3/$2==0?tbecstar($6,(1.0+4.0*$5),pairvolume($10,$10,tailfac)):1/0):1/0) title "t'/t=0, V'/V=0" with linespoints pt 5, "alldata_sort_grep_sc.dat" using ($2/w0sc):($5==1?($3/$2==0?tbecstar($6,(1.0+4.0*$5),pairvolume($10,$10,tailfac)):1/0):1/0) title "t'/t=1, V'/V=0" with linespoints pt 7, "alldata_sort_grep_sc.dat" using ($2/w0sc):($5==0?($3/$2==1?tbecstar($6,(1.0+4.0*$5),pairvolume($10,$10,tailfac)):1/0):1/0) title "t'/t=0, V'/V=1" with linespoints pt 8, "alldata_sort_grep_sc.dat" using ($2/w0sc):($5==1?($3/$2==1?tbecstar($6,(1.0+4.0*$5),pairvolume($10,$10,tailfac)):1/0):1/0) title "t'/t=1, V'/V=1" with linespoints pt 10


set label 1 "(i) BCC" at graph xposlabr,yposlab font "Times-New-Roman,20"

set tmargin at screen tmarfunc(3)
set bmargin at screen bmarfunc(3)
set lmargin at screen lmarfunc(3)
set rmargin at screen rmarfunc(3)

plot "alldata_sort_grep_bcc.dat" using ($2/w0bcc):($5==0?($3/$2==0?tbecstar($6,(1.0+$5),pairvolume($9,$9,tailfac)):1/0):1/0) title "t'/t=0, V'/V=0" with linespoints pt pt00, "alldata_sort_grep_bcc.dat" using ($2/w0bcc):($5==1?($3/$2==0?tbecstar($6,(1.0+$5),pairvolume($9,$9,tailfac)):1/0):1/0) title "t'/t=1, V'/V=0" with linespoints pt pt10, "alldata_sort_grep_bcc.dat" using ($2/w0bcc):($5==0?($3/$2==1?tbecstar($6,(1+$5),pairvolume($9,$9,tailfac)):1/0):1/0) title "t'/t=0, V'/V=1" with linespoints pt pt01, "alldata_sort_grep_bcc.dat" using ($2/w0bcc):($5==1?($3/$2==1?tbecstar($6,(1.0+$5),pairvolume($9,$9,tailfac)):1/0):1/0) title "t'/t=1, V'/V=1" with linespoints pt pt11

set yrange[2:*]
set ytics auto
# perpendicular for inset

# opaque background
set style rect fc lt -1 fs solid 0.15 noborder
set obj rect from graph 0, graph 0 to graph 1, graph 1

set tmargin at screen tmarfunc(1)-0.01
set bmargin at screen bmarfunc(1)+0.16
set lmargin at screen lmarfunc(1)+0.16
set rmargin at screen rmarfunc(1)-0.01
set label 1 "tet, ⟂" at graph 0.65,0.9
set xtics -6,1,0 offset 0,0.5
set ytics 0,200,600
#set xlabel 'V/W_{0}' font "Times-New-Roman-Italic" offset 0,1
unset xlabel
plot "alldata_sort_grep_tetragonal.dat" using ($2/w0square):($5==0?($3/$2==0?$7:1/0):1/0) title "t'/t=0, V'/V=0" with linespoints pt pt00, "alldata_sort_grep_tetragonal.dat" using ($2/w0square):($5==1.0?($3/$2==0?$7:1/0):1/0) title "t'/t=1, V'/V=0" with linespoints pt 7, "alldata_sort_grep_tetragonal.dat" using ($2/w0square):($5==0?($3/$2==1?$7:1/0):1/0) title "t'/t=0, V'/V=1" with linespoints pt 8, "alldata_sort_grep_tetragonal.dat" using ($2/w0square):($5==1.0?($3/$2==1?$7:1/0):1/0) title "t'/t=1, V'/V=1" with linespoints pt 10, "alldata_sort_grep_tetragonal.dat" using ($2/w0square):($5==-0.45?($3/$2==1?$7:1/0):1/0) title "t'/t=0, V'/V=1" with linespoints pt 8, "alldata_sort_grep_tetragonal.dat" using ($2/w0square):($5==-0.45?($3/$2==1?$7:1/0):1/0) title "t'/t=1, V'/V=1" with linespoints pt 10

set yrange[0:*]

set tmargin at screen tmarfunc(2)-0.13
set bmargin at screen bmarfunc(2)+0.04
set lmargin at screen lmarfunc(1)+0.05
set rmargin at screen rmarfunc(1)-0.12
set size 0.5,0.5
set ytics 0,100,400
plot "alldata_sort_grep_tetragonal.dat" using ($2/w0tetragonal):($5==0?($3/$2==0?1.0/$14:1/0):1/0) title "t'/t=0, V'/V=0" with linespoints pt pt00, "alldata_sort_grep_tetragonal.dat" using ($2/w0tetragonal):($5==1.0?($3/$2==0?1.0/$14:1/0):1/0) title "t'/t=1, V'/V=0" with linespoints pt 7, "alldata_sort_grep_tetragonal.dat" using ($2/w0tetragonal):($5==0?($3/$2==1?1.0/$14:1/0):1/0) title "t'/t=0, V'/V=1" with linespoints pt 8, "alldata_sort_grep_tetragonal.dat" using ($2/w0tetragonal):($5==1.0?($3/$2==1?1.0/$14:1/0):1/0) title "t'/t=1, V'/V=1" with linespoints pt 10, "alldata_sort_grep_tetragonal_neghop_allvals.dat" using ($2/w0tetragonal):($5==-0.45?($3/$2==0?1.0/$14:1/0):1/0) title "t'/t=-0.45, V'/V=0" with linespoints pt 8, "alldata_sort_grep_tetragonal_neghop_allvals.dat" using ($2/w0tetragonal):($5==-0.45?($3/$2==1?1.0/$14:1/0):1/0) title "t'/t=-0.45, V'/V=1" with linespoints pt 10



unset multiplot

#    EOF
