#!/usr/bin/gnuplot -persist
#
#    
#    	G N U P L O T
#    	Version 5.4 patchlevel 9    last modified 2023-09-04
#    
#    	Copyright (C) 1986-1993, 1998, 2004, 2007-2023
#    	Thomas Williams, Colin Kelley and many others
#    
#    	gnuplot home:     http://www.gnuplot.info
#    	faq, bugs, etc:   type "help FAQ"
#    	immediate help:   type "help"  (plot window: hit 'h')
set terminal pdfcairo  transparent enhanced font "Times-New-Roman,16" fontscale 0.5 size 4.00in, 3.00in solid
unset clip points
set clip one
unset clip two
unset clip radial
set errorbars front 1.000000 
set border 31 front lt black linewidth 1.000 dashtype solid
set zdata 
set ydata 
set xdata 
set y2data 
set x2data 
set boxwidth
set boxdepth 0
set style fill  empty border
set style rectangle back fc  bgnd fillstyle   solid 1.00 border lt -1
set style circle radius graph 0.02 
set style ellipse size graph 0.05, 0.03 angle 0 units xy
set dummy x, y
set format x "% h" 
set format y "% h" 
set format x2 "% h" 
set format y2 "% h" 
set format z "% h" 
set format cb "% h" 
set format r "% h" 
set ttics format "% h"
set timefmt "%d/%m/%y,%H:%M"
set angles radians
set tics back
set grid
unset raxis
set theta counterclockwise right
set style parallel front  lt black linewidth 2.000 dashtype solid
set key notitle
set key fixed right top vertical Right noreverse enhanced autotitle nobox
set key noinvert samplen 4 spacing 1 width 0 height 0
set key maxcolumns 0 maxrows 0
set key noopaque
unset label
unset arrow
unset style line
unset style arrow
set style histogram clustered gap 2 title textcolor lt -1
unset object
unset walls
set style textbox  transparent margins  1.0,  1.0 border  lt -1 linewidth  1.0
set offsets 0, 0, 0, 0
set pointsize 1
set pointintervalbox 1
set encoding default
unset polar
unset parametric
unset spiderplot
unset decimalsign
unset micro
unset minussign
set view 60, 30, 1, 1
set view azimuth 0
set rgbmax 255
set samples 100, 100
set isosamples 10, 10
set surface implicit
set surface
unset contour
set cntrlabel  format '%8.3g' font '' start 5 interval 20
set mapping cartesian
set datafile separator whitespace
set datafile nocolumnheaders
set hidden3d back offset 1 trianglepattern 3 undefined 1 altdiagonal bentover
set cntrparam order 4
set cntrparam linear
set cntrparam levels 5
set cntrparam levels auto
set cntrparam firstlinetype 0 unsorted
set cntrparam points 5
set size ratio 0 1,1
set origin 0,0
set style data points
set style function lines
unset xzeroaxis
unset yzeroaxis
unset zzeroaxis
unset x2zeroaxis
unset y2zeroaxis
set xyplane relative 0.5
set tics scale  1, 0.5, 1, 1, 1
set mxtics default
set mytics default
set mztics default
set mx2tics default
set my2tics default
set mcbtics default
set mrtics default
set nomttics
set xtics border in scale 1,0.5 mirror norotate  autojustify offset 0,-0.5
set xtics  norangelimit autofreq 
set ytics border in scale 1,0.5 mirror norotate  autojustify offset 0.,-0.
set ytics  norangelimit autofreq
set ytics -0.4,0.2,1.0
set ytics (-0.4,0,0.5,1)
set ztics border in scale 1,0.5 nomirror norotate  autojustify
set ztics  norangelimit autofreq offset 0.5,0
unset x2tics
unset y2tics
set cbtics border in scale 1,0.5 mirror norotate  autojustify
set cbtics  norangelimit autofreq 
set rtics axis in scale 1,0.5 nomirror norotate  autojustify
set rtics  norangelimit autofreq 
unset ttics
set title "" 
set title  font "" textcolor lt -1 norotate
set timestamp bottom 
set timestamp "" 
set timestamp  font "" textcolor lt -1 norotate
set trange [ * : * ] noreverse nowriteback
set urange [ * : * ] noreverse nowriteback
set vrange [ * : * ] noreverse nowriteback
set xlabel "V'/V" offset 0.5,-0.5 font "Times-New-Roman-Italic"
set xlabel  font "" textcolor lt -1 norotate
set x2label "" 
set x2label  font "" textcolor lt -1 norotate
set xrange [ * : * ] noreverse writeback
set x2range [ * : * ] noreverse writeback
set ylabel "t'/t" font "Times-New-Roman-Italic" 
set ylabel  font "" textcolor lt -1 rotate offset -3.0,0
set y2label "" 
set y2label  font "" textcolor lt -1 rotate
set yrange [ * : * ] reverse writeback
set y2range [ * : * ] noreverse writeback
set zlabel  font "" textcolor lt -1 rotate offset 0.5,0
set zrange [ 0.00000 : * ] noreverse writeback
set cblabel "" 
set cblabel  font "" textcolor lt -1 rotate
set cbrange [ * : * ] noreverse writeback
set rlabel "" 
set rlabel  font "" textcolor lt -1 norotate
set rrange [ * : * ] noreverse writeback
unset logscale
unset jitter
set zero 1e-08
set lmargin  6
set bmargin  1
set rmargin  1
set tmargin  -10
set locale "en_GB.UTF-8"
set pm3d implicit at s
set pm3d scansautomatic
set pm3d interpolate 1,1 flush begin noftriangles noborder corners2color mean
set pm3d clip z 
set pm3d nolighting
set palette positive nops_allcF maxcolors 0 gamma 1.5 color model RGB 
set palette rgbformulae 7, 5, 15
set colorbox default
#set colorbox horizontal origin 0.1,0.9# size screen 0.9, 0.05 front
set style boxplot candles range  1.50 outliers pt 7 separation 1 labels auto unsorted
set loadpath 
set fontpath
set psdir
set fit brief errorvariables nocovariancevariables errorscaling prescale nowrap v5
GNUTERM = "x11"
I = {0.0, 1.0}
VoxelDistance = 0.0
## Last datafile plotted: "alldata_sort_grep_sc.dat"
#show all

# unset colorbox

set ticslevel 0
# set cbtics 0,0.4,2
set cbrange[0:*]
set zrange[0:*]

w0sc = 12
w0bcc = 16
w0square = 8
w0chain = 4

set xtics 0,0.5,1

#set grid xtics nomxtics ytics nomytics noztics nomztics nortics nomrtics \
 nox2tics nomx2tics noy2tics nomy2tics nocbtics nomcbtics

xlab = 0.7
ylab = 0.7

roff = 0.02

set format "%.1f"
set zlabel "m_{0}/m^{*}" font "Times-New-Roman-Italic"

BORDER_L = -0.02
BORDER_R = -0.25
BORDER_B = 0.0
BORDER_T = 0.05

SPACING_X = 0.115
SPACING_Y = 0.18

NUM_ROWS = 2
NUM_COLS = 4

PLT_W = (1 - BORDER_L - BORDER_R - (NUM_COLS-1)*SPACING_X)/NUM_COLS
PLT_H = (1 - BORDER_B - BORDER_T - (NUM_ROWS-1)*SPACING_Y)/NUM_ROWS

tmarfunc(x) = 1-BORDER_T - ((x-1)*(PLT_H))-SPACING_Y
bmarfunc(x) = 1-BORDER_T - ((x)*PLT_H)
lmarfunc(x) = BORDER_L + ((x-1)*PLT_W)+SPACING_X
rmarfunc(x) = BORDER_L + ((x)*PLT_W)

set term pdf size 10in,5.0in
set output "alldata_combined_3d.pdf"

set ztics 0,1,4

set multiplot

unset key

xlab = 0.6
ylab = 0.8
zlab = 1.1
urowoff = 0.07

set zlabel "m^{*}/m_{0}" font "Times-New-Roman-Italic" 
set cbrange[0:4]
set zrange[0:4]

set colorbox horiz user origin graph 0.08,0.95 size graph 0.6,0.02

set tmargin at screen tmarfunc(1)+urowoff
set bmargin at screen bmarfunc(1)+urowoff
set lmargin at screen lmarfunc(1)
set rmargin at screen rmarfunc(1)

# set zlabel "m^{*}_{∥}/m_{0}" 
set label 1 "(a) tet, ∥" at graph xlab,ylab,zlab
splot "alldata_sort_grep_tetragonal_posneg.dat" using ($3/$2):5:($6) with lines lt -1 lc 0 lw 3 dt 1


set tmargin at screen tmarfunc(1)+urowoff
set bmargin at screen bmarfunc(1)+urowoff
set lmargin at screen lmarfunc(2)
set rmargin at screen rmarfunc(2)


set cbrange[0:4]
set zrange[0:4]
unset zlabel

#set output 'alldata_sort_grep_sc_m.pdf'
set label 1 "(b) SC" at graph xlab,ylab,zlab
# set label 1 "(a)" at graph xlab,ylab,zlab
splot "alldata_sort_grep_sc.dat" using ($3/$2):5:((abs($15-1.0)<0.0001?$6:2.0)) with lines lt -1 lc 0 lw 3 dt 1
#set output 'alldata_sort_grep_bcc_m.pdf'

set tmargin at screen tmarfunc(1)+urowoff
set bmargin at screen bmarfunc(1)+urowoff
set lmargin at screen lmarfunc(3)
set rmargin at screen rmarfunc(3)

set label 1 "(c) BCC" at graph xlab,ylab,zlab
splot "alldata_sort_grep_bcc.dat" using ($3/$2):5:($6) with lines lt -1 lc 0 lw 3 dt 1


set tmargin at screen tmarfunc(1)+urowoff
set bmargin at screen bmarfunc(1)+urowoff
set lmargin at screen lmarfunc(4)+roff
set rmargin at screen rmarfunc(4)+roff

set ztics 0,30,150 format "%.0f"
set cbrange[0:150]
set zrange[0:150]
unset zlabel

set colorbox horiz user origin graph 0.775,0.95 size graph 0.16,0.02
set cbtics 0,30,150 format "%.0f"

set label 1 "(d) tet, ⟂" at graph xlab,ylab,zlab
splot "alldata_sort_grep_tetragonal_posneg.dat" using ($3/$2):5:($7) with lines lt -1 lc 0 lw 3 dt 1




set cbrange[0:7]
set zrange[0:7]

set ztics 0,0.5,2 format "%.1f"
set cbtics 0,0.5,2 format "%.1f"

set colorbox horiz user origin graph 0.08,0.46 size graph 0.6,0.02


zlab=0.9
set zrange[0:2]
set cbrange[0:2]
unset zlabel
set label 1 "(f) SC" at graph xlab,ylab,zlab

unset zlabel
set tmargin at screen tmarfunc(2)
set bmargin at screen bmarfunc(2)
set lmargin at screen lmarfunc(2)
set rmargin at screen rmarfunc(2)

splot "alldata_sort_grep_sc.dat" using ($3/$2):5:(1.0/$10) with lines lt -1 lc 0 lw 3 dt 1

set tmargin at screen tmarfunc(2)
set bmargin at screen bmarfunc(2)
set lmargin at screen lmarfunc(3)
set rmargin at screen rmarfunc(3)

set label 1 "(g) BCC" at graph xlab,ylab,zlab
splot "alldata_sort_grep_bcc.dat" using ($3/$2):5:(1.0/$9) with lines lt -1 lc 0 lw 3 dt 1


set tmargin at screen tmarfunc(2)
set bmargin at screen bmarfunc(2)
set lmargin at screen lmarfunc(1)
set rmargin at screen rmarfunc(1)

set zlabel "d_{{/Times-New-Roman NN}}/R" font "Times-New-Roman-Italic" rotate
set label 1 "(e) tet, ∥" at graph xlab,ylab,zlab
splot "alldata_sort_grep_tetragonal_posneg.dat" using ($3/$2):5:(1.0/(sqrt($12*$12+$13*$13))) with lines lt -1 lc 0 lw 3 dt 1
set zrange[0:100]
set cbrange[0:100]
set ztics 0,20,100 format "%.0f"
set cbtics 0,20,100 format "%.0f"
set colorbox horiz user origin graph 0.775,0.46 size graph 0.16,0.02

set tmargin at screen tmarfunc(2)
set bmargin at screen bmarfunc(2)
set lmargin at screen lmarfunc(4)+roff
set rmargin at screen rmarfunc(4)+roff


set label 1 "(h) tet, ⟂" at graph xlab,ylab,zlab
unset zlabel
splot "alldata_sort_grep_tetragonal_posneg.dat" using ($3/$2):5:(1.0/$14) with lines lt -1 lc 0 lw 3 dt 1

unset multiplot

set output

#    EOF
