#!/usr/bin/gnuplot -persist
#
#    
#    	G N U P L O T
#    	Version 5.4 patchlevel 9    last modified 2023-09-04
#    
#    	Copyright (C) 1986-1993, 1998, 2004, 2007-2023
#    	Thomas Williams, Colin Kelley and many others
#    
#    	gnuplot home:     http://www.gnuplot.info
#    	faq, bugs, etc:   type "help FAQ"
#    	immediate help:   type "help"  (plot window: hit 'h')
set terminal pdfcairo  transparent enhanced font "Times-New-Roman,20" fontscale 0.5 size 4.00in, 3.00in solid
unset clip points
set clip one
unset clip two
unset clip radial
set errorbars front 1.000000 
set border 31 front lt black linewidth 1.000 dashtype solid
set zdata 
set ydata 
set xdata 
set y2data 
set x2data 
set boxwidth
set boxdepth 0
set style fill  empty border
set style rectangle back fc  bgnd fillstyle   solid 1.00 border lt -1
set style circle radius graph 0.02 
set style ellipse size graph 0.05, 0.03 angle 0 units xy
set dummy x, y
set format x "% h" 
set format y "% h" 
set format x2 "% h" 
set format y2 "% h" 
set format z "% h" 
set format cb "% h" 
set format r "% h" 
set ttics format "% h"
set timefmt "%d/%m/%y,%H:%M"
set angles radians
set tics back
set grid
unset raxis
set theta counterclockwise right
set style parallel front  lt black linewidth 2.000 dashtype solid
set key notitle
set key fixed right top vertical Right noreverse enhanced autotitle nobox
set key noinvert samplen 4 spacing 1 width 0 height 0
set key maxcolumns 0 maxrows 0
set key noopaque
unset label
unset arrow
unset style line
unset style arrow
set style histogram clustered gap 2 title textcolor lt -1
unset object
unset walls
set style textbox  transparent margins  1.0,  1.0 border  lt -1 linewidth  1.0
set offsets 0, 0, 0, 0
set pointsize 1
set pointintervalbox 1
set encoding default
unset polar
unset parametric
unset spiderplot
unset decimalsign
unset micro
unset minussign
set view 60, 60, 1, 1
set view azimuth 0
set rgbmax 255
set samples 100, 100
set isosamples 10, 10
set surface implicit
set surface
unset contour
set cntrlabel  format '%8.3g' font '' start 5 interval 20
set mapping cartesian
set datafile separator whitespace
set datafile nocolumnheaders
set hidden3d back offset 1 trianglepattern 3 undefined 1 altdiagonal bentover
set cntrparam order 4
set cntrparam linear
set cntrparam levels 5
set cntrparam levels auto
set cntrparam firstlinetype 0 unsorted
set cntrparam points 5
set size ratio 0 1,1
set origin 0,0
set style data points
set style function lines
unset xzeroaxis
unset yzeroaxis
unset zzeroaxis
unset x2zeroaxis
unset y2zeroaxis
set xyplane relative 0.5
set tics scale  1, 0.5, 1, 1, 1
set mxtics default
set mytics default
set mztics default
set mx2tics default
set my2tics default
set mcbtics default
set mrtics default
set nomttics
set xtics border in scale 1,0.5 mirror norotate  autojustify offset 0.5,-0.5
set xtics  norangelimit autofreq 
set ytics border in scale 1,0.5 mirror norotate  autojustify offset 0.5,-0.2
set ytics  norangelimit autofreq
set ytics -0.4,0.2,1.0
set ytics (-0.4,0,0.5,1)
set ztics border in scale 1,0.5 nomirror norotate  autojustify
set ztics  norangelimit autofreq 
unset x2tics
unset y2tics
set cbtics border in scale 1,0.5 mirror norotate  autojustify
set cbtics  norangelimit autofreq 
set rtics axis in scale 1,0.5 nomirror norotate  autojustify
set rtics  norangelimit autofreq 
unset ttics
set title "" 
set title  font "" textcolor lt -1 norotate
set timestamp bottom 
set timestamp "" 
set timestamp  font "" textcolor lt -1 norotate
set trange [ * : * ] noreverse nowriteback
set urange [ * : * ] noreverse nowriteback
set vrange [ * : * ] noreverse nowriteback
set xlabel "V'/V" offset 1.5,-0.5 font "Times-New-Roman-Italic"
set x2label "" 
set x2label  font "" textcolor lt -1 norotate
set xrange [ * : * ] noreverse writeback
set x2range [ * : * ] noreverse writeback
set ylabel "t'/t" font "Times-New-Roman-Italic"
set y2label "" 
set y2label  font "" textcolor lt -1 rotate
set yrange [ * : * ] reverse writeback
set y2range [ * : * ] noreverse writeback
set zlabel  font "" textcolor lt -1 rotate offset -0.5,0
set zrange [ 0.00000 : * ] noreverse writeback
set cblabel "" 
set cblabel  font "" textcolor lt -1 rotate
set cbrange [ * : * ] noreverse writeback
set rlabel "" 
set rlabel  font "" textcolor lt -1 norotate
set rrange [ * : * ] noreverse writeback
unset logscale
unset jitter
set zero 1e-08
set lmargin  6
set bmargin  1
set rmargin  1
set tmargin  1
set locale "en_GB.UTF-8"
set pm3d implicit at s
set pm3d scansautomatic
set pm3d interpolate 1,1 flush begin noftriangles noborder corners2color mean
set pm3d clip z 
set pm3d nolighting
set palette positive nops_allcF maxcolors 0 gamma 1.5 color model RGB 
set palette rgbformulae 7, 5, 15
set colorbox default
#set colorbox horizontal origin 0.1,0.9# size screen 0.9, 0.05 front
set style boxplot candles range  1.50 outliers pt 7 separation 1 labels auto unsorted
set loadpath 
set fontpath
set psdir
set fit brief errorvariables nocovariancevariables errorscaling prescale nowrap v5
GNUTERM = "x11"
I = {0.0, 1.0}
VoxelDistance = 0.0
## Last datafile plotted: "alldata_sort_grep_sc.dat"
#show all

# unset colorbox

set ticslevel 0
# set cbtics 0,0.4,2
set cbrange[0:*]
set zrange[0:*]

w0sc = 12
w0bcc = 16
w0square = 8
w0chain = 4

set xtics 0,0.5,1

xlab = -0.25
ylab = -0.1
zlab = 1.25

set format "%.1f"
set zlabel "m_{0}/m^{*}" font "Times-New-Roman-Italic"

BORDER_L = -0.02
BORDER_R = -0.25
BORDER_B = 0.0
BORDER_T = 0.05

SPACING_X = 0.11
SPACING_Y = 0.18

NUM_ROWS = 2
NUM_COLS = 4

PLT_W = (1 - BORDER_L - BORDER_R - (NUM_COLS-1)*SPACING_X)/NUM_COLS
PLT_H = (1 - BORDER_B - BORDER_T - (NUM_ROWS-1)*SPACING_Y)/NUM_ROWS

tmarfunc(x) = 1-BORDER_T - ((x-1)*(PLT_H))-SPACING_Y
bmarfunc(x) = 1-BORDER_T - ((x)*PLT_H)
lmarfunc(x) = BORDER_L + ((x-1)*PLT_W)+SPACING_X
rmarfunc(x) = BORDER_L + ((x)*PLT_W)

set size 1.0,1.2
set ztics 0,1,4
unset key


# NOTE, NEED TO DIVIDE m/m_{0} by bare inverse mass (1+t') for BCC and (1+4t') for SC
# leading to the (1+$5) and (1+4*$5) terms

tbecstar(x,y,z) = (x>0?6.62*y/x/(z**(2.0/3.0)):0)

tbecstartet(x,xx,y,z) = (x>0?6.62*((y**(2.0/3.0))/((x**(2.0/3.0))*(xx**(1.0/3.0)))/(z**(2.0/3.0))):0)
pairvolume(x,xx,y) = (y*xx+1.0)*((y*x+1.0)**2)

tailfac = 5.0

set cbrange[0:*]
set zrange[0:*]
set zrange[0:0.24]
set cbrange[0:0.24]
set cbtics 0,0.08,0.24 format "%.2f"
set ztics 0,0.08,0.24 format "%.2f" offset 0,0.2

zlab = 0.96
xlab = 0.0
ylab = 0.15

set zlabel "k_{B}T^{*}/ ~t¯" font "Times-New-Roman-Italic"
set output "alldata_sort_grep_bcc_tccp.pdf"
set label 1 "(b) BCC" at graph xlab,ylab,zlab font "Times-New-Roman,18"
splot "alldata_sort_grep_bcc.dat" using ($3/$2):5:($6>0?tbecstar($6,(1.0+$5),pairvolume($9,$9,tailfac)):0) with lines lt -1 lc 0 lw 3 dt 1
set output "alldata_sort_grep_sc_tccp.pdf"
set label 1 "(a) SC" at graph xlab,ylab,zlab font "Times-New-Roman,18"
splot "alldata_sort_grep_sc.dat" using ($3/$2):5:((abs($15-1.0)<0.0001?tbecstar($6,(4.0+$5),pairvolume($10,$10,tailfac)):0)) with lines lt -1 lc 0 lw 3 dt 1

set label 1 "(a) Tetragonal" at graph xlab,ylab,zlab font "Times-New-Roman,18"
set output "alldata_sort_grep_tetragonal_tccp_posneg.pdf"
splot "alldata_sort_grep_tetragonal_posneg.dat" using ($3/$2):5:((abs(1.0-1.0)<0.0001?tbecstartet($6,$7,(1.0+2.0*$5),pairvolume($12,$14,tailfac)):0)) with lines lt -1 lc 0 lw 3 dt 1

set output

#    EOF
