% function that computes the triple integrals for a simple cubic system
function [res3] = SimpleCubicIntegration(t,t_prime,energy, u,v,w,varyPx, varyPy, varyPz, abstolloc)
  
  if (varyPx == 0 || varyPx == 1.*pi ) || (varyPy == 0 || varyPy == 1.*pi ) ...
     || (varyPz == 0 || varyPz == 1.*pi )  || energy == (-12.*t-24.*t_prime)
    energy = energy - 0.00000000000003;
  end 
  
  funcc3 = @(x,y,z) ( cos((u.*x) + (v.*y) + (w.*z))   )./ ...
	   (abs(energy) - 2.0 .* t .* ( ...
					( cos( (varyPx./2.0) + x ) ) ...
					+ ( cos( (varyPy./2.0) + y ) ) ...
					+ ( cos( (varyPz./2.0) + z ) ) ...
				      ) ...
	    - 4.0 .* t_prime .* ( ...
				  cos( (x)+ (varyPx./2.0) ).*cos( (y)+ (varyPy./2.0) ) ...
				  + cos( (x)+ (varyPx./2.0) ).*cos( (z)+ (varyPz./2.0) ) ...
				  + cos( (y)+ (varyPy./2.0) ).*cos( (z)+ (varyPz./2.0) ) ...
				) ...
	    - 2.0 .* t .* ( ...
			    ( cos( (varyPx./2.0) - x ) ) ...
			    + ( cos( (varyPy./2.0) - y ) ) ...
			    + ( cos( (varyPz./2.0) - z ) ) ...
			  ) ...
	    - 4.0 .* t_prime.* ( ...
				 cos( (varyPx./2.0) - (x) ).* cos( (varyPy./2.0) - (y) ) ...
				 + cos( (varyPx./2.0) - (x) ).* cos( (varyPz./2.0) - (z) ) ...
				 + cos( (varyPy./2.0) - (y) ).* cos( (varyPz./2.0) - (z) ) ...
			       )...
	   );
  res3 = integral3(funcc3, -1.*pi, 1.*pi,-1.*pi, 1.*pi,-1.*pi, 1.*pi,'AbsTol',abs(abstolloc).*1e-10,'RelTol',1e-10)/((2.0.*pi).^3);
  
end
