function [radcalc] = calculateRadiusSC(t,t_prime, u_select, v_select, v_prime,varyPx,varyPy,varyPz,finalEnergyArray,poSN)
  
  disp('calculating eigenvalues and eigenvectors')
  
  [eigValSave, eigVectorSave] = singletMatrixEig(u_select,v_select,v_prime,t,t_prime,finalEnergyArray,varyPx,varyPy,varyPz);
  
  %eigVectorSort = round(eigValSave,4,'significant')
  
  %for ii = 1 : length(eigVectorSort)
  %  if eigVectorSort(ii) >= 1
  %    poSN = ii              
  %  end
  %end
      
  RealEigVec = eigVectorSave(:,poSN)
      
  onSite = RealEigVec(1);
  neighbor1 = RealEigVec(2);
  neighbor2 = RealEigVec(3);
  neighbor3 = RealEigVec(4);
  neighbor4 = RealEigVec(5);
  neighbor5 = RealEigVec(6);
  neighbor6 = RealEigVec(7);
  neighbor7 = RealEigVec(8);
  neighbor8 = RealEigVec(9);
  neighbor9 = RealEigVec(10);
      
  momentumQX = linspace(0*pi,2*pi,513);
  momentumQY = linspace(0*pi,2*pi,513);
  momentumQZ = linspace(0*pi,2*pi,513);
  
  Nx = length(momentumQX)-1;
  Ny = length(momentumQY)-1;
  Nz = length(momentumQZ)-1;
      
  varOnsite = zeros(Nx,Ny,Nz);
  varNeighbor1 = zeros(Nx,Ny,Nz);
  varNeighbor2 = zeros(Nx,Ny,Nz);
  varNeighbor3 = zeros(Nx,Ny,Nz);
  varNeighbor4 = zeros(Nx,Ny,Nz);
  varNeighbor5 = zeros(Nx,Ny,Nz);
  varNeighbor6 = zeros(Nx,Ny,Nz);
  varNeighbor7 = zeros(Nx,Ny,Nz);
  varNeighbor8 = zeros(Nx,Ny,Nz);
  varNeighbor9 = zeros(Nx,Ny,Nz); 

  dEpsilon_dK = zeros(Nx,Ny,Nz);
  analyticVar = zeros(Nx,Ny,Nz);

				% Set up for calculation

  four_t = 4.0.*t;
  eight_tp = 8.0.*t_prime;
  twopiovNprod = (2.0.*pi./Nx).*(2.0.*pi./Ny).*(2.0.*pi./Nz);
  twicetwopiovNprod = 2.0 .* twopiovNprod;
  
  for kk = 1 : Nx

    cosMomentumQXkk = cos(momentumQX(kk));
    sinMomentumQXkk = sin(momentumQX(kk));

    printf("%d ",kk)
    
    for mm = 1 : Ny

      cosMomentumQYmm = cos(momentumQY(mm));
      sinMomentumQYmm = sin(momentumQY(mm));
      
      for aa = 1 : Nz

	cosMomentumQZaa = cos(momentumQZ(aa));
	sinMomentumQZaa = sin(momentumQZ(aa));
				%         
	t_part = four_t.*(cosMomentumQXkk + cosMomentumQYmm + cosMomentumQZaa);
        t_prime_part = eight_tp.*( cosMomentumQXkk.*cosMomentumQYmm + cosMomentumQXkk*cosMomentumQZaa ...
                       + cosMomentumQYmm.*cosMomentumQZaa);

	denom = finalEnergyArray + t_part + t_prime_part;
	
        varOnsite(kk,mm,aa) = twopiovNprod./denom;

	twicetwopiovNprodOvDenom = twicetwopiovNprod./denom;
	
        varNeighbor1(kk,mm,aa) = twicetwopiovNprodOvDenom.*cosMomentumQXkk;
        varNeighbor2(kk,mm,aa) = twicetwopiovNprodOvDenom.*cosMomentumQYmm;
        varNeighbor3(kk,mm,aa) = twicetwopiovNprodOvDenom.*cosMomentumQZaa;

	% USE cos(a+b) = cos(a)cos(b)-sin(a)sin(b)
	
        %varNeighbor4(kk,mm,aa) = twicetwopiovNprod.*cos(momentumQX(kk) + momentumQY(mm))./denom;
        %varNeighbor5(kk,mm,aa) = twicetwopiovNprod.*cos(momentumQX(kk) + momentumQZ(aa))./denom;
        %varNeighbor6(kk,mm,aa) = twicetwopiovNprod.*cos(momentumQY(mm) + momentumQZ(aa))./denom;
        %varNeighbor7(kk,mm,aa) = twicetwopiovNprod.*cos(momentumQX(kk) - momentumQY(mm))./denom;
        %varNeighbor8(kk,mm,aa) = twicetwopiovNprod.*cos(momentumQX(kk) - momentumQZ(aa))./denom;
        %varNeighbor9(kk,mm,aa) = twicetwopiovNprod.*cos(momentumQY(mm) - momentumQZ(aa))./denom;
	
        varNeighbor4(kk,mm,aa) = twicetwopiovNprodOvDenom.*(cosMomentumQXkk.*cosMomentumQYmm - sinMomentumQXkk.*sinMomentumQYmm);
        varNeighbor5(kk,mm,aa) = twicetwopiovNprodOvDenom.*(cosMomentumQXkk.*cosMomentumQZaa - sinMomentumQXkk.*sinMomentumQZaa);
        varNeighbor6(kk,mm,aa) = twicetwopiovNprodOvDenom.*(cosMomentumQYmm.*cosMomentumQZaa - sinMomentumQYmm.*sinMomentumQZaa);
        varNeighbor7(kk,mm,aa) = twicetwopiovNprodOvDenom.*(cosMomentumQXkk.*cosMomentumQYmm + sinMomentumQXkk.*sinMomentumQYmm);
        varNeighbor8(kk,mm,aa) = twicetwopiovNprodOvDenom.*(cosMomentumQXkk.*cosMomentumQZaa + sinMomentumQXkk.*sinMomentumQZaa);
        varNeighbor9(kk,mm,aa) = twicetwopiovNprodOvDenom.*(cosMomentumQYmm.*cosMomentumQZaa + sinMomentumQYmm.*sinMomentumQZaa);
	
%           dEpsilon_dK(kk,mm,aa) = (2.0*pi/Nx)*(2.0*pi/Ny)*(2.0*pi/Nz)*(16.0*(sin(momentumQZ(aa)).^1*sin(momentumQZ(aa)).^1 )) / ( (finalEnergyArray + (4*cos(momentumQX(kk))) + (4*cos(momentumQY(mm))) + (4*cos(momentumQZ(aa)))).^4);
%           analyticVar(kk,mm,aa)=  (2.0*pi/Nx)*(2.0*pi/Ny)*(2.0*pi/Nz)*(1.0/( (finalEnergyArray + (4*cos(momentumQX(kk))) + (4*cos(momentumQY(mm))) + (4*cos(momentumQZ(aa)))).^2 ));
      end
      
    end
    
    
  end
  
  varOnsite = onSite .* varOnsite .* u_select;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor1 = neighbor1 .* varNeighbor1 .* v_select;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor2 = neighbor2 .* varNeighbor2 .* v_select;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor3 = neighbor3 .* varNeighbor3 .* v_select;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor4 = neighbor4 .* varNeighbor4 .* v_prime;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor5 = neighbor5 .* varNeighbor5 .* v_prime;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor6 = neighbor6 .* varNeighbor6 .* v_prime;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor7 = neighbor7 .* varNeighbor7 .* v_prime;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor8 = neighbor8 .* varNeighbor8 .* v_prime;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor9 = neighbor9 .* varNeighbor9 .* v_prime;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  
  y = fftn(varOnsite + varNeighbor1 + varNeighbor2 + varNeighbor3 + ...
           varNeighbor4 + varNeighbor5 + varNeighbor6 + varNeighbor7 + ...
           varNeighbor8 + varNeighbor9);
  
			       %   sumTop = sum(dEpsilon_dK,'all');
			       %   sumBottom = sum(analyticVar,'all');
  
  tempUp = 0;
  tempDown = 0;
  for nx = 1:(Nx./2)
    for ny = 1:(Ny./2)
      for nz = 1:(Nz./2)
        facTor = 8;
        if (nx ==1)
          facTor = facTor./2;
        end
        if (ny ==1)
          facTor = facTor./2;
        end
        if (nz ==1)
          facTor = facTor./2;
        end
        nsqr = (nx-1).^2 + (ny-1).^2 + (nz-1).^2;
        
	jk = nsqr *abs(y(nx,ny,nz)).^2;
	tempUp =  tempUp + facTor.*jk;
	tempDown = tempDown + facTor.*abs(y(nx,ny,nz)).^2;
      end
    end
  end
  
  
  radcalc = sqrt( tempUp./tempDown );

end
