% binary search to find the bound pair energy within the tolerance limit
function res = searchSingletEigenvalue(Emin,Emax,uu,vv,v_prime,t,t_prime,tol,px,py,pz)

        search1 = singletMatrixEig(uu,vv,v_prime,t,t_prime,Emin,px,py,pz);       
        search2 = singletMatrixEig(uu,vv,v_prime,t,t_prime,Emax,px,py,pz);        
                               
        nEig1 = numOfEigSym(search1);
        nEig2 = numOfEigSym(search2);
        
        res = (Emin + Emax)/2.0;
        if(abs(Emax - Emin) < tol)
            disp([' '])
            disp([' '])
            disp(['Energy is converged'])
            disp(res)
            disp([' '])
            disp([' '])
            return
        end
        search3 = singletMatrixEig(uu,vv,v_prime,t,t_prime,res,px,py,pz);        
        nEigMid = numOfEigSym(search3);
        
           
                
        if(nEigMid - nEig2 ~= 0)
            disp(['       path 1'])
            disp(['         /'])
            disp(['        v'])
            res = searchSingletEigenvalue(res,Emax,uu,vv,v_prime,t,t_prime,tol,px,py,pz);
        elseif(nEigMid - nEig1 ~= 0)
            disp(['      path 2'])
            disp(['          \'])
            disp(['           v'])
            res = searchSingletEigenvalue(Emin,res,uu,vv,v_prime,t,t_prime,tol,px,py,pz);
        end
        return
    
end
