	      % function used to find the eigenvectors and eigenvalues
function [eigvalueMatrix,eigV] = singletMatrixEig(U,V,V_prime,t,t_prime,energy,px,py,pz)
  
				% integral variables
  Looo      = SimpleCubicIntegration(t,t_prime,energy, 0,0,0,px,py,pz,0);

				% L000 must be the
				% largest Green function
				% since the other Green fn elements have
				% an oscillatory numerator

  maxcoup = abs(U);
  if (abs(V) > maxcoup)
    maxcoup = abs(V);
  end
  if (abs(V_prime) > maxcoup)
    maxcoup = abs(V_prime);
  end

  mincoup = maxcoup;
  if ((abs(U) < mincoup) && (abs(U)>0))
    mincoup = abs(U);
  end
  if ((abs(V) < mincoup) && (abs(V)>0))
    mincoup = abs(V);
  end
  if ((abs(V_prime) < mincoup) && (abs(V_prime)>0))
    mincoup = abs(V_prime);
  end
  
  maxvalloc = Looo .* mincoup ./ maxcoup;
  
  Lp100     = SimpleCubicIntegration(t,t_prime,energy, 1,0,0,px,py,pz,maxvalloc); 
  Lm100     = Lp100;
  L0p10     = SimpleCubicIntegration(t,t_prime,energy, 0,1,0,px,py,pz,maxvalloc); 
  L0m10     = L0p10; 
  L00p1     = SimpleCubicIntegration(t,t_prime,energy, 0,0,1,px,py,pz,maxvalloc); 
  L00m1     = L00p1; 
  
  Lp1p10    = SimpleCubicIntegration(t,t_prime,energy, 1,1,0,px,py,pz,maxvalloc); 
  Lm1m10    = Lp1p10;
  Lp1m10    = SimpleCubicIntegration(t,t_prime,energy, 1,-1,0,px,py,pz,maxvalloc); 
  Lm1p10    = Lp1m10;
  Lp10p1    = SimpleCubicIntegration(t,t_prime,energy, 1,0,1,px,py,pz,maxvalloc); 
  Lm10m1    = Lp10p1;
  Lp10m1    = SimpleCubicIntegration(t,t_prime,energy, 1,0,-1,px,py,pz,maxvalloc); 
  Lm10p1    = Lp10m1;
  L0p1p1    = SimpleCubicIntegration(t,t_prime,energy, 0,1,1,px,py,pz,maxvalloc); 
  L0m1m1    = L0p1p1;
  L0p1m1    = SimpleCubicIntegration(t,t_prime,energy, 0,1,-1,px,py,pz,maxvalloc); 
  L0m1p1    = L0p1m1;
  
  Lp1p1p1   = SimpleCubicIntegration(t,t_prime,energy, 1,1,1,px,py,pz,maxvalloc);
  Lp1m1m1   = SimpleCubicIntegration(t,t_prime,energy, 1,-1,-1,px,py,pz,maxvalloc);
  Lm1p1p1   = Lp1m1m1;
  Lp1m1p1   = SimpleCubicIntegration(t,t_prime,energy, 1,-1,1,px,py,pz,maxvalloc);
  Lm1p1m1   = Lp1m1p1;
  Lp1p1m1   = SimpleCubicIntegration(t,t_prime,energy, 1,1,-1,px,py,pz,maxvalloc);
  Lm1m1p1   = Lp1p1m1;
  
  Lp200    = SimpleCubicIntegration(t,t_prime,energy, 2,0,0,px,py,pz,maxvalloc); 
				%     Lm200    = Lp200;
  L0p20    = SimpleCubicIntegration(t,t_prime,energy, 0,2,0,px,py,pz,maxvalloc); 
  L0m20    = L0p20;
  L00p2    = SimpleCubicIntegration(t,t_prime,energy, 0,0,2,px,py,pz,maxvalloc); 
  L00m2    = L00p2;
  
  Lp2p10    = SimpleCubicIntegration(t,t_prime,energy, 2,1,0,px,py,pz,maxvalloc);
  Lp2m10    = SimpleCubicIntegration(t,t_prime,energy, 2,-1,0,px,py,pz,maxvalloc);
  Lp20p1    = SimpleCubicIntegration(t,t_prime,energy, 2,0,1,px,py,pz,maxvalloc);
  Lp20m1    = SimpleCubicIntegration(t,t_prime,energy, 2,0,-1,px,py,pz,maxvalloc);
  Lp1p20    = SimpleCubicIntegration(t,t_prime,energy, 1,2,0,px,py,pz,maxvalloc);
  Lp1m20    = SimpleCubicIntegration(t,t_prime,energy, 1,-2,0,px,py,pz,maxvalloc);
  Lm1p20    = SimpleCubicIntegration(t,t_prime,energy, -1,2,0,px,py,pz,maxvalloc);
  L0p2p1    = SimpleCubicIntegration(t,t_prime,energy, 0,2,1,px,py,pz,maxvalloc);
  L0p2m1    = SimpleCubicIntegration(t,t_prime,energy, 0,2,-1,px,py,pz,maxvalloc);
  Lp10p2    = SimpleCubicIntegration(t,t_prime,energy, 1,0,2,px,py,pz,maxvalloc);
  Lm10p2    = SimpleCubicIntegration(t,t_prime,energy, -1,0,2,px,py,pz,maxvalloc);
  Lp10m2    = Lm10p2;
  L0p1p2    = SimpleCubicIntegration(t,t_prime,energy, 0,1,2,px,py,pz,maxvalloc);
  L0m1p2    = SimpleCubicIntegration(t,t_prime,energy, 0,-1,2,px,py,pz,maxvalloc);
  L0p1m2    = L0m1p2;
  
  Lp2p20    = SimpleCubicIntegration(t,t_prime,energy, 2,2,0,px,py,pz,maxvalloc);
  Lp2m20    = SimpleCubicIntegration(t,t_prime,energy, 2,-2,0,px,py,pz,maxvalloc);
  Lp20p2    = SimpleCubicIntegration(t,t_prime,energy, 2,0,2,px,py,pz,maxvalloc);
  Lp20m2    = SimpleCubicIntegration(t,t_prime,energy, 2,0,-2,px,py,pz,maxvalloc);
  L0p2p2    = SimpleCubicIntegration(t,t_prime,energy, 0,2,2,px,py,pz,maxvalloc);
  L0p2m2    = SimpleCubicIntegration(t,t_prime,energy, 0,2,-2,px,py,pz,maxvalloc);
  
  Lp2p1p1    = SimpleCubicIntegration(t,t_prime,energy, 2,1,1,px,py,pz,maxvalloc);
  Lp2p1m1    = SimpleCubicIntegration(t,t_prime,energy, 2,1,-1,px,py,pz,maxvalloc);
  Lp2m1p1    = SimpleCubicIntegration(t,t_prime,energy, 2,-1,1,px,py,pz,maxvalloc);
  Lp2m1m1    = SimpleCubicIntegration(t,t_prime,energy, 2,-1,-1,px,py,pz,maxvalloc);
  Lp1p2p1    = SimpleCubicIntegration(t,t_prime,energy, 1,2,1,px,py,pz,maxvalloc);
  Lp1p2m1    = SimpleCubicIntegration(t,t_prime,energy, 1,2,-1,px,py,pz,maxvalloc);
  Lp1m2m1    = SimpleCubicIntegration(t,t_prime,energy, 1,-2,-1,px,py,pz,maxvalloc);
  Lp1m2p1    = SimpleCubicIntegration(t,t_prime,energy, 1,-2,1,px,py,pz,maxvalloc);
  Lm1p2m1    = Lp1m2p1;
  Lm1p2p1    = SimpleCubicIntegration(t,t_prime,energy, -1,2,1,px,py,pz,maxvalloc);
  Lp1p1p2    = SimpleCubicIntegration(t,t_prime,energy, 1,1,2,px,py,pz,maxvalloc);
  Lp1m1p2    = SimpleCubicIntegration(t,t_prime,energy, 1,-1,2,px,py,pz,maxvalloc);
  Lm1p1m2    = Lp1m1p2;   
  Lm1p1p2    = SimpleCubicIntegration(t,t_prime,energy, -1,1,2,px,py,pz,maxvalloc);
  Lp1m1m2    = Lm1p1p2;
  Lp1p1m2    = SimpleCubicIntegration(t,t_prime,energy, 1,1,-2,px,py,pz,maxvalloc);
  
  
				% define matrix elements
  A11  = -U*Looo;
  A12  = -2.0*V*Lp100;
  A13  = -2.0*V*L0p10;
  A14  = -2.0*V*L00p1;
  A15  = -2.0*V_prime*Lp1p10;
  A16  = -2.0*V_prime*Lp10p1;
  A17  = -2.0*V_prime*L0p1p1;
  A18  = -2.0*V_prime*Lp1m10;
  A19  = -2.0*V_prime*Lp10m1;
  A110 = -2.0*V_prime*L0p1m1;
  
  A21  = -U*Lp100;
  A22  = -V*(Looo + Lp200); 
  A23  = -V*(Lp1m10 + Lp1p10); 
  A24  = -V*(Lp10m1 + Lp10p1); 
  A25  = -V_prime*(L0m10 + Lp2p10);
  A26  = -V_prime*(L00m1 + Lp20p1);
  A27  = -V_prime*(Lp1m1m1 + Lp1p1p1);
  A28  = -V_prime*(L0p10 + Lp2m10);
  A29  = -V_prime*(L00p1 + Lp20m1);
  A210 = -V_prime*(Lp1m1p1 + Lp1p1m1);
  
  A31  = -U*L0p10;
  A32  = -V*(Lm1p10 + Lp1p10);
  A33  = -V*(Looo + L0p20);
  A34  = -V*(L0p1m1 + L0p1p1);
  A35  = -V_prime*(Lm100 + Lp1p20);
  A36  = -V_prime*(Lm1p1m1 + Lp1p1p1);
  A37  = -V_prime*(L00m1 + L0p2p1);
  A38  = -V_prime*(Lm1p20 + Lp100);
  A39  = -V_prime*(Lm1p1p1 + Lp1p1m1);
  A310 = -V_prime*(L00p1 + L0p2m1);
  
  A41  = -U*L00p1; 
  A42  = -V*(Lm10p1 + Lp10p1);
  A43  = -V*(L0m1p1 + L0p1p1);
  A44  = -V*(Looo + L00p2);
  A45  = -V_prime*(Lm1m1p1 + Lp1p1p1);
  A46  = -V_prime*(Lm100 + Lp10p2);
  A47  = -V_prime*(L0m10 + L0p1p2);
  A48  = -V_prime*(Lm1p1p1 + Lp1m1p1);
  A49  = -V_prime*(Lm10p2 + Lp100);
  A410 = -V_prime*(L0m1p2 + L0p10);
  
  A51  = -U*Lp1p10; 
  A52  = -V*(L0p10 + Lp2p10);
  A53  = -V*(Lp100 + Lp1p20);
  A54  = -V*(Lp1p1m1 + Lp1p1p1);
  A55  = -V_prime*(Looo + Lp2p20);
  A56  = -V_prime*(L0p1m1 + Lp2p1p1);
  A57  = -V_prime*(Lp10m1 + Lp1p2p1);
  A58  = -V_prime*(L0p20 + Lp200);
  A59  = -V_prime*(L0p1p1 + Lp2p1m1);
  A510 = -V_prime*(Lp10p1 + Lp1p2m1);
  
  A61  = -U*Lp10p1; 
  A62  = -V*(L00p1 + Lp20p1);
  A63  = -V*(Lp1m1p1 + Lp1p1p1);
  A64  = -V*(Lp100 + Lp10p2);
  A65  = -V_prime*(L0m1p1 + Lp2p1p1);
  A66  = -V_prime*(Looo + Lp20p2);
  A67  = -V_prime*(Lp1m10 + Lp1p1p2);
  A68  = -V_prime*(L0p1p1 + Lp2m1p1);
  A69  = -V_prime*(L00p2 + Lp200);
  A610 = -V_prime*(Lp1m1p2 + Lp1p10);
  
  A71  = -U*L0p1p1; 
  A72  = -V*(Lm1p1p1 + Lp1p1p1);
  A73  = -V*(L00p1 + L0p2p1);
  A74  = -V*(L0p10 + L0p1p2);
  A75  = -V_prime*(Lm10p1 + Lp1p2p1);
  A76  = -V_prime*(Lm1p10 + Lp1p1p2);
  A77  = -V_prime*(Looo + L0p2p2);
  A78  = -V_prime*(Lm1p2p1 + Lp10p1);
  A79  = -V_prime*(Lm1p1p2 + Lp1p10);
  A710 = -V_prime*(L00p2 + L0p20);
  
  A81  = -U*Lp1m10; 
  A82  = -V*(L0m10 + Lp2m10);
  A83  = -V*(Lp1m20 + Lp100);
  A84  = -V*(Lp1m1m1 + Lp1m1p1);
  A85  = -V_prime*(L0m20 + Lp200);
  A86  = -V_prime*(L0m1m1 + Lp2m1p1);
  A87  = -V_prime*(Lp1m2m1 + Lp10p1);
  A88  = -V_prime*(Looo + Lp2m20);
  A89  = -V_prime*(L0m1p1 + Lp2m1m1);
  A810 = -V_prime*(Lp1m2p1 + Lp10m1);
  
  A91  = -U*Lp10m1; 
  A92  = -V*(L00m1 + Lp20m1);
  A93  = -V*(Lp1m1m1 + Lp1p1m1);
  A94  = -V*(Lp10m2 + Lp100);
  A95  = -V_prime*(L0m1m1 + Lp2p1m1);
  A96  = -V_prime*(L00m2 + Lp200);
  A97  = -V_prime*(Lp1m1m2 + Lp1p10);
  A98  = -V_prime*(L0p1m1 + Lp2m1m1);
  A99  = -V_prime*(Looo + Lp20m2);
  A910 = -V_prime*(Lp1m10 + Lp1p1m2);
  
  A101   = -U*L0p1m1; 
  A102   = -V*(Lm1p1m1 + Lp1p1m1);
  A103   = -V*(L00m1 + L0p2m1);
  A104   = -V*(L0p1m2 + L0p10);
  A105   = -V_prime*(Lm10m1 + Lp1p2m1);
  A106   = -V_prime*(Lm1p1m2 + Lp1p10);
  A107   = -V_prime*(L00m2 + L0p20);
  A108   = -V_prime*(Lm1p2m1 + Lp10m1);
  A109   = -V_prime*(Lm1p10 + Lp1p1m2);
  A1010  = -V_prime*(Looo + L0p2m2);
  
  
  
  
  allMatrix = [A11  A12  A13  A14  A15  A16  A17  A18  A19  A110  ;...
               A21  A22  A23  A24  A25  A26  A27  A28  A29  A210  ;...
               A31  A32  A33  A34  A35  A36  A37  A38  A39  A310  ;...
               A41  A42  A43  A44  A45  A46  A47  A48  A49  A410  ;...
               A51  A52  A53  A54  A55  A56  A57  A58  A59  A510  ;...
               A61  A62  A63  A64  A65  A66  A67  A68  A69  A610  ;...
               A71  A72  A73  A74  A75  A76  A77  A78  A79  A710  ;...
               A81  A82  A83  A84  A85  A86  A87  A88  A89  A810  ;...
               A91  A92  A93  A94  A95  A96  A97  A98  A99  A910  ;...
               A101 A102 A103 A104 A105 A106 A107 A108 A109 A1010 ];
  
       %                      eigvalueMatrix = double(eig(allMatrix));
  [eigV,eigvalueMatrix] = eig(allMatrix,'vector');
  % [eigvalueMatrix ind] = sort(eigvalueMatrix, 'ComparisonMethod', 'real');
[eigvalueMatrixReal ind] = sort(real(eigvalueMatrix), 'ascend');
eigvalueMatrix = eigvalueMatrix(ind);
eigV = eigV(:,ind);
%  [eigvalueMatrix ind] = sort(eigvalueMatrix, 'ascend')
%  eigV = eigV(:,ind);
  
end
