    % function that computes the double integrals for a square lattice
    function [res3] = SquareIntegration(t,t_prime,t_perp,energy, u,v,varyPx, varyPy, varyPz, tolerabs)
  
  if (varyPx == 0 || varyPx == 1*pi ) || (varyPy == 0 || varyPy == 1*pi ) || (varyPy == 0 || varyPy == 1*pi ) || energy == (-8.*t-8.*t_prime-4.*t_perp)
    energy = energy - 0.00000000000003;
  end 
  
  varyPxOv2 = varyPx./2.0;
  varyPyOv2 = varyPy./2.0;
  varyPzOv2 = varyPz./2.0;

  twot = 2.0.* t;
  twotperp = 2.0.*t_perp;
  fourtprime = 4.0.*t_prime;
  
funcc3 = @(x,y,z) ( cos(u.*x + v.*y)   )./ ...
	   (abs(energy) - twot.*( cos( varyPxOv2 + x ) ...
				  + cos( varyPyOv2 + y ) ) ...
	    - twotperp .* cos(varyPzOv2 + z) ...
	    - fourtprime .* ( cos(x+ varyPxOv2 ) ...
                                .*cos(y+ varyPyOv2 ) ) ...
            - twot .* ( cos( varyPxOv2 - x  ) ...
                          + cos( varyPyOv2 - y ) ) ...
	    - twotperp .* cos(varyPzOv2 - z) ...
            - fourtprime .* ( cos( varyPxOv2 - x ) ...
                               .* cos( varyPyOv2 - y ) )...
           );
res3 = integral3(funcc3, -1.*pi, 1.*pi,-1.*pi, 1.*pi,-1.*pi,1.*pi,'AbsTol',tolerabs*1e-11,'RelTol',1e-11)/((2.*pi).^3);
  
end
