function [radcalc, radcalcx, radcalcy, radcalcz] = calculateRadiusSquare(t,t_prime,t_perp,u_select, v_select, v_prime,varyPx,varyPy,varyPz,finalEnergyArray,poSN)
  
  
  [eigValSave, eigVectorSave] = singletMatrixEigSq(u_select,v_select,v_prime,t,t_prime,t_perp,finalEnergyArray,varyPx,varyPy,varyPz)
	  %(u_select, v_select, finalEnergyArray, alpha,beta, p_x,p_y)
	  %eigVectorSort = round(eigValSave,4,'significant')
  
				%for ii = 1 : length(eigVectorSort)
				%  if eigVectorSort(ii) >= 1
				%    poSN = ii              
				%  end
				%end
  
  RealEigVec = eigVectorSave(:,poSN);
			       % here are the values of wave functions
  onSite = RealEigVec(1)
  neighbor1 = RealEigVec(2)
  neighbor2 = RealEigVec(3)
  neighbor3 = RealEigVec(4)
  neighbor4 = RealEigVec(5)
  
 % IF THE RESOLUTION GETS TOO BIG, GET OVERFLOW IN tempUp and tempDown
  
				% resolution_k = 2049;  
				%  resolution_k = 257;
  resolution_k = 129;
  
  momentumQx = linspace(0*pi,2*pi,resolution_k);
  momentumQy = linspace(0*pi,2*pi,resolution_k);
  momentumQz = linspace(0*pi,2*pi,resolution_k);
 
  
  Nx = length(momentumQx)-1;
  Ny = length(momentumQy)-1;
  Nz = length(momentumQz)-1;
  
  varOnsite = zeros(Nx,Ny);
  varNeighbor1 = zeros(Nx,Ny);
  varNeighbor2 = zeros(Nx,Ny);
  varNeighbor3 = zeros(Nx,Ny);
  varNeighbor4 = zeros(Nx,Ny);
  
  twopinxbyny = (2.0.*pi./Nx).*(2.0.*pi./Ny).*(2.0*pi./Nz);
  twicetwopinxbyny = 2.0.*twopinxbyny;
  
  fourt = 4.*t;
  fourtperp = 4.*t_perp;
  eighttp = 8.*t_prime;
  
  for ix = 1 : Nx
    
    cosmomentumQxix = cos(momentumQx(ix));
    
    for iy = 1 : Ny
      
      cosmomentumQyiy  = cos(momentumQy(iy));
      
      for iz = 1 : Nz
	
	cosmomentumQziz  = cos(momentumQz(iz));
	
	denom = finalEnergyArray + fourt.*(cosmomentumQxix + cosmomentumQyiy) + fourtperp.*cosmomentumQziz + (eighttp.*cosmomentumQxix.*cosmomentumQyiy);
	
%       varOnsite(i) = (2.0.*pi./N)*(1.0./( abs(finalEnergyArray) - 4.*cos(momentumQ(i))));
%       varOnsite(ix) = (2.0.*pi./N)*(1.0./sqrt( (abs(finalEnergyArray) - (4.*cos(momentumQx(ix))) )^2 - 16));
	
	varOnsite(ix,iy,iz) = twopinxbyny./ denom;
	
	varNeighbor1(ix,iy,iz) = twicetwopinxbyny.*cosmomentumQxix./ denom;
	
	varNeighbor2(ix,iy,iz) = twicetwopinxbyny.*cosmomentumQyiy./ denom;
	
	varNeighbor3(ix,iy,iz) = twicetwopinxbyny.*cos(momentumQx(ix)+ momentumQy(iy))./ denom;
	
	varNeighbor4(ix,iy,iz) = varNeighbor3(ix,iy,iz);
	
%(2.0*pi/Nx)*(2.0*pi/Ny)*( (2.0*cos(momentumQx(ix)).^1*cos(momentumQx(iy)).^1)./ (finalEnergyArray + (4*t*cos(momentumQx(ix))) + (4*t*cos(momentumQy(iy))) + (8*t_prime*cos(momentumQy(ix)).^1*cos(momentumQy(iy)).^1) )  );
      end
    end
  end
  
  varOnsite = onSite .* varOnsite .* u_select;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor1 = neighbor1 .* varNeighbor1 .* v_select;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor2 = neighbor2 .* varNeighbor2 .* v_select;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor3 = neighbor3 .* varNeighbor3 .* v_prime;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  varNeighbor4 = neighbor4 .* varNeighbor4 .* v_prime;
  disp('----------------------------------------------------')
  disp('----------------------------------------------------')
  
  
  y = fftn(varOnsite + varNeighbor1 + varNeighbor2 + varNeighbor3 + varNeighbor4);

% SHOULD REALLY BE USING MATRIX OPERATIONS FOR THIS SUM, WITH facTor OPERATION MADE
% ON y MATRIX BEFORE THE SUM, BUT LEAVE FOR NOW
  
  tempUp = 0;
  tempUpx = 0;
  tempUpy = 0;
  tempUpz = 0;
  tempDown = 0;
  for nx = 1:(Nx./2)
    for ny = 1:(Ny./2)
      for nz = 1:(Nz./2)
        facTor = 8;
        if (nx ==1)
          facTor = facTor./2;
        end
        if (ny ==1)
          facTor = facTor./2;
	end
	if (nz ==1)
          facTor = facTor./2;
	end
        nsqr = (nx-1).^2 + (ny-1).^2 + (nz-1).^2;
        nsqrx = (nx-1).^2;
        nsqry = (ny-1).^2;
        nsqrz = (nz-1).^2;
	
	estimatorr2 = nsqr *abs(y(nx,ny,nz)).^2;
	estimatorx2 = nsqrx *abs(y(nx,ny,nz)).^2;
	estimatory2 = nsqry *abs(y(nx,ny,nz)).^2;
	estimatorz2 = nsqrz *abs(y(nx,ny,nz)).^2;
	tempUp =  tempUp + facTor.*estimatorr2;
	tempUpx =  tempUpx + facTor.*estimatorx2;
	tempUpy =  tempUpy + facTor.*estimatory2;
	tempUpz =  tempUpz + facTor.*estimatorz2;
	tempDown = tempDown + facTor.*abs(y(nx,ny,nz)).^2;
      end
    end
  end

%for nx = 1:(Nx./2)
%  for ny = 1:(Ny./2)
%    facTor = 4;
%    if (nx ==1)
%      facTor = facTor./2;
%    end
%    if (ny ==1)
%      facTor = facTor./2;
%    end
%    nsqr = (nx-1).^2 + (ny-1).^2;
%    
%    jk = nsqr .*abs(y(nx,ny)).^2;
%    tempUp =  tempUp + facTor.*jk;
%    tempDown = tempDown + facTor.*abs(y(nx,ny)).^2;
%  end
%end

  tempUp;
  tempUpx;
  tempUpy;
  tempUpz;
  tempDown;
  
  radcalc = sqrt( tempUp./tempDown )
  radcalcx = sqrt( tempUpx./tempDown )
  radcalcy = sqrt( tempUpy./tempDown )
  radcalcz = sqrt( tempUpz./tempDown )

end
