
% binary search to find the bound pair energy within the tolerance limit
function res = searchSingletEigenvalueSq(Emin,Emax,uu,vv,v_prime,t,t_prime,tol,px,py)
  
  search1 = singletMatrixEigSq(uu,vv,v_prime,t,t_prime,Emin,px,py);       
  search2 = singletMatrixEigSq(uu,vv,v_prime,t,t_prime,Emax,px,py);        
  
  nEig1 = numOfEigSymSq(search1);
  nEig2 = numOfEigSymSq(search2);
  
  res = (Emin + Emax)/2.0;
  if(abs(Emax - Emin) < tol)
    disp([' '])
    disp([' '])
    disp(['Energy is converged'])
    disp(res)
    disp([' '])
    disp([' '])
    return
  end
  search3 = singletMatrixEigSq(uu,vv,v_prime,t,t_prime,res,px,py);        
  nEigMid = numOfEigSymSq(search3);
  
  if(nEigMid - nEig2 ~= 0)
    disp(['       path 1'])
    disp(['         /'])
    disp(['        v'])
    res = searchSingletEigenvalueSq(res,Emax,uu,vv,v_prime,t,t_prime,tol,px,py);
  elseif(nEigMid - nEig1 ~= 0)
    disp(['      path 2'])
    disp(['          \'])
    disp(['           v'])
    res = searchSingletEigenvalueSq(Emin,res,uu,vv,v_prime,t,t_prime,tol,px,py);
  end
  return
  
end
