	      % function used to find the eigenvectors and eigenvalues
function [eigvalueMatrix,eigV] = singletMatrixEigSq(U,V,V_prime,t,t_prime,t_perp,energy,px,py,pz)
  
				% integral variables
  Loo      = SquareIntegration(t,t_prime,t_perp,energy, 0,0,px,py,pz,0.0);
  Lp10     = SquareIntegration(t,t_prime,t_perp,energy, 1,0,px,py,pz,Loo); 
  Lm10     = Lp10; %SquareIntegration(t,t_prime,t_perp,energy, -1,0,px,py,pz,Loo); 
  L0p1     = SquareIntegration(t,t_prime,t_perp,energy, 0,1,px,py,pz,Loo); 
  L0m1     = L0p1; %SquareIntegration(t,t_prime,t_perp,energy, 0,-1,px,py,pz,Loo); 
  Lp1p1    = SquareIntegration(t,t_prime,t_perp,energy, 1,1,px,py,pz,Loo); 
  Lp1m1    = SquareIntegration(t,t_prime,t_perp,energy, 1,-1,px,py,pz,Loo);
  Lm1p1    = Lp1m1; %SquareIntegration(t,t_prime,t_perp,energy, -1,1,px,py,pz,Loo);
  
  Lp20      = SquareIntegration(t,t_prime,t_perp,energy, 2,0,px,py,pz,Loo);
				%     Lm20      = Lp20;
  L0p2      = SquareIntegration(t,t_prime,t_perp,energy, 0,2,px,py,pz,Loo);
  L0m2      = L0p2;
  Lp2p1     = SquareIntegration(t,t_prime,t_perp,energy, 2,1,px,py,pz,Loo); 
  Lp1p2     = SquareIntegration(t,t_prime,t_perp,energy, 1,2,px,py,pz,Loo); 
  Lp2m1     = SquareIntegration(t,t_prime,t_perp,energy, 2,-1,px,py,pz,Loo); 
  Lm2p1     =  Lp2m1; % SquareIntegration(t,t_prime,t_perp,energy, -2,1,px,py,pz,Loo); 
  Lm1p2     = SquareIntegration(t,t_prime,t_perp,energy, -1,2,px,py,pz,Loo); 
  Lp1m2     = Lm1p2; %SquareIntegration(t,t_prime,t_perp,energy, 1,-2,px,py,pz,Loo); 
  Lp2p2     = SquareIntegration(t,t_prime,t_perp,energy, 2,2,px,py,pz,Loo); 
  Lp2m2     = SquareIntegration(t,t_prime,t_perp,energy, 2,-2,px,py,pz,Loo); 
%Lm2p2     = Lp2m2; %SquareIntegration(t,t_prime,t_perp,energy, -2,2,px,py,pz,Loo); 
  
  
				% define matrix elements
  A11 = -U*Loo;
  A12 = -2.0*V*Lp10;
  A13 = -2.0*V*L0p1;
  A14 = -2.0*V_prime*Lp1p1;
  A15 = -2.0*V_prime*Lp1m1;
  
  A21 = -U*Lp10;
  A22 = -V*(Loo + Lp20); 
  A23 = -V*(Lp1p1 + Lp1m1); 
  A24 = -V_prime*(L0m1 + Lp2p1);
  A25 = -V_prime*(L0p1 + Lp2m1);
  
  A31 = -U*L0p1;
  A32 = -V*(Lp1p1 + Lm1p1);
  A33 = -V*(Loo + L0p2);
  A34 = -V_prime*(Lm10 + Lp1p2);
  A35 = -V_prime*(Lp10 + Lm1p2);
  
  A41 = -U*Lp1p1; 
  A42 = -V*(L0p1 + Lp2p1);
  A43 = -V*(Lp10 + Lp1p2);
  A44 = -V_prime*(Loo + Lp2p2);
  A45 = -V_prime*(L0p2 + Lp20);
  
  A51 = -U*Lp1m1; 
  A52 = -V*(L0m1 + Lp2m1);
  A53 = -V*(Lp1m2 + Lp10);
  A54 = -V_prime*(L0m2 + Lp20);
  A55 = -V_prime*(Loo + Lp2m2);
  
  allMatrix = [A11 A12 A13 A14 A15;...
               A21 A22 A23 A24 A25;...
               A31 A32 A33 A34 A35;...
               A41 A42 A43 A44 A45;...
               A51 A52 A53 A54 A55];
  
       %                      eigvalueMatrix = double(eig(allMatrix));
  [eigV,eigvalueMatrix] = eig(allMatrix,'vector');
%  [eigvalueMatrix ind] = sort(eigvalueMatrix, 'ComparisonMethod', 'real');
[eigvalueMatrixReal ind] = sort(real(eigvalueMatrix), 'ascend');
eigvalueMatrix = eigvalueMatrix(ind);
eigV = eigV(:,ind);
%  [eigvalueMatrix ind] = sort(eigvalueMatrix, 'ascend');
%  eigV = eigV(:,ind);
  
end
